import { ElementRef, OnInit } from '@angular/core';
import { NgControl, ValidationErrors } from '@angular/forms';
import { Subscription } from 'rxjs';
export declare class ControlComponent implements OnInit {
    isTextarea: boolean;
    etiqueta: string;
    mostrarErrores: boolean;
    mensajeError: string;
    mensajesError: ValidationErrors;
    mensajesMostrar: string[];
    ngControl: NgControl;
    divPrincipal: ElementRef;
    esSelect: boolean;
    invalido: boolean;
    subscripcion: Subscription;
    constructor();
    ngAfterViewInit(): void;
    actualizarNgControl(ngControl: NgControl): void;
    subscribirCambios(control: any): void;
    ngOnInit(): void;
    actualizarErrores(): void;
    ngOnDestroy(): void;
}
