import { AppService } from './app.service';
import { PeticionHTTP } from './models';
export declare class CRUDService<T> {
    srvAplicacion: AppService;
    URL: string;
    registroActual: T;
    get URLListarBandeja(): string;
    constructor(srvAplicacion: AppService);
    consultar<X>(peticion: PeticionHTTP): import("rxjs").Observable<import("./models").ResultadoProceso<X>>;
    procesar<X>(peticion: PeticionHTTP): import("rxjs").Observable<import("./models").ResultadoProceso<X>>;
    datosIniciales(): import("rxjs").Observable<import("./models").ResultadoProceso<any>>;
    listar(filtro: T): import("rxjs").Observable<import("./models").ResultadoProceso<T[]>>;
    obtenerRegistro(filtro: T): import("rxjs").Observable<import("./models").ResultadoProceso<T>>;
    obtenerRegistroCompleto(filtro: T): import("rxjs").Observable<import("./models").ResultadoProceso<T>>;
    guardar(datos: T): import("rxjs").Observable<import("./models").ResultadoProceso<any>>;
    eliminar(datos: T): import("rxjs").Observable<import("./models").ResultadoProceso<any>>;
    descargar(datos: any, nombreArchivo?: string, urlRelativa?: string): void;
    descargarArchivo(urlRelativa: string, nombreArchivo?: string): void;
}
