(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/forms'), require('@angular/core'), require('@angular/common/http'), require('rxjs'), require('rxjs/operators'), require('@angular/common'), require('sweetalert2'), require('@ng-bootstrap/ng-bootstrap'), require('ngx-mask'), require('@angular/router'), require('@angular/animations'), require('@angular/platform-browser'), require('ngx-scrollbar'), require('ngb-modal-draggable'), require('@angular/cdk/scrolling'), require('ngx-bootstrap/tooltip')) :
    typeof define === 'function' && define.amd ? define('ng-mtc-ui', ['exports', '@angular/forms', '@angular/core', '@angular/common/http', 'rxjs', 'rxjs/operators', '@angular/common', 'sweetalert2', '@ng-bootstrap/ng-bootstrap', 'ngx-mask', '@angular/router', '@angular/animations', '@angular/platform-browser', 'ngx-scrollbar', 'ngb-modal-draggable', '@angular/cdk/scrolling', 'ngx-bootstrap/tooltip'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory(global['ng-mtc-ui'] = {}, global.ng.forms, global.ng.core, global.ng.common.http, global.rxjs, global.rxjs.operators, global.ng.common, global.Swal, global.ngBootstrap, global.ngxMask, global.ng.router, global.ng.animations, global.ng.platformBrowser, global.ngxScrollbar, global.ngbModalDraggable, global.ng.cdk.scrolling, global.tooltip));
}(this, (function (exports, forms, i0, i1, rxjs, operators, common, Swal, ngBootstrap, ngxMask, router, animations, platformBrowser, ngxScrollbar, ngbModalDraggable, scrolling, tooltip) { 'use strict';

    function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

    var Swal__default = /*#__PURE__*/_interopDefaultLegacy(Swal);

    var Constante = {
        Indicador: {
            SI: 'S',
            NO: 'N'
        },
        Sesion: {
            LLAVE_USUARIO: 'USUARIO_SESION',
            TIPOS_DECLARACION: 'TIPOS_DECLARACION',
            LISTA_MESES: 'LISTA_MESES',
            LISTA_PRODUCTOS: 'LISTA_PRODUCTOS'
        },
        TipoAccionFormulario: {
            AGREGAR: 'agregar',
            EDITAR: 'editar',
            VER: 'ver',
        },
        TipoCampoParametro: {
            TEXTO: 'T',
            CASILLA: 'CHK',
            COLOR: 'COL',
            CONTRASENIA: 'C',
            PARAMETRO_RELACIONADO: 'PR',
            NUMERO_DECIMAL: 'ND',
            NUMERO_ENTERO: 'NE'
        },
        EstadoDocumento: {
            PENDIENTE: 'P',
            RECEPCIONADO: 'R',
            ENVIADO: 'E',
            OBSERVADO: 'O'
        }
    };
    function marcarCheckFilaDT(fila, seleccionado) {
        fila.__seleccionado = seleccionado;
    }
    var ResultadoProceso = /** @class */ (function () {
        function ResultadoProceso() {
        }
        return ResultadoProceso;
    }());

    forms.FormGroup.prototype.validate = function () {
        for (var nombre in this.controls) {
            this.controls[nombre].markAsDirty();
            this.controls[nombre].updateValueAndValidity();
        }
        return this.valid;
    };

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation.

    Permission to use, copy, modify, and/or distribute this software for any
    purpose with or without fee is hereby granted.

    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
    REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
    AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
    INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
    LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
    OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
    PERFORMANCE OF THIS SOFTWARE.
    ***************************************************************************** */
    /* global Reflect, Promise */
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b)
                if (Object.prototype.hasOwnProperty.call(b, p))
                    d[p] = b[p]; };
        return extendStatics(d, b);
    };
    function __extends(d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }
    var __assign = function () {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s)
                    if (Object.prototype.hasOwnProperty.call(s, p))
                        t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };
    function __rest(s, e) {
        var t = {};
        for (var p in s)
            if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
                t[p] = s[p];
        if (s != null && typeof Object.getOwnPropertySymbols === "function")
            for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
                if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                    t[p[i]] = s[p[i]];
            }
        return t;
    }
    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
            r = Reflect.decorate(decorators, target, key, desc);
        else
            for (var i = decorators.length - 1; i >= 0; i--)
                if (d = decorators[i])
                    r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }
    function __param(paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); };
    }
    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
            return Reflect.metadata(metadataKey, metadataValue);
    }
    function __awaiter(thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try {
                step(generator.next(value));
            }
            catch (e) {
                reject(e);
            } }
            function rejected(value) { try {
                step(generator["throw"](value));
            }
            catch (e) {
                reject(e);
            } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }
    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function () { if (t[0] & 1)
                throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function () { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f)
                throw new TypeError("Generator is already executing.");
            while (_)
                try {
                    if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
                        return t;
                    if (y = 0, t)
                        op = [op[0] & 2, t.value];
                    switch (op[0]) {
                        case 0:
                        case 1:
                            t = op;
                            break;
                        case 4:
                            _.label++;
                            return { value: op[1], done: false };
                        case 5:
                            _.label++;
                            y = op[1];
                            op = [0];
                            continue;
                        case 7:
                            op = _.ops.pop();
                            _.trys.pop();
                            continue;
                        default:
                            if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                                _ = 0;
                                continue;
                            }
                            if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) {
                                _.label = op[1];
                                break;
                            }
                            if (op[0] === 6 && _.label < t[1]) {
                                _.label = t[1];
                                t = op;
                                break;
                            }
                            if (t && _.label < t[2]) {
                                _.label = t[2];
                                _.ops.push(op);
                                break;
                            }
                            if (t[2])
                                _.ops.pop();
                            _.trys.pop();
                            continue;
                    }
                    op = body.call(thisArg, _);
                }
                catch (e) {
                    op = [6, e];
                    y = 0;
                }
                finally {
                    f = t = 0;
                }
            if (op[0] & 5)
                throw op[1];
            return { value: op[0] ? op[1] : void 0, done: true };
        }
    }
    var __createBinding = Object.create ? (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        Object.defineProperty(o, k2, { enumerable: true, get: function () { return m[k]; } });
    }) : (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        o[k2] = m[k];
    });
    function __exportStar(m, o) {
        for (var p in m)
            if (p !== "default" && !Object.prototype.hasOwnProperty.call(o, p))
                __createBinding(o, m, p);
    }
    function __values(o) {
        var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
        if (m)
            return m.call(o);
        if (o && typeof o.length === "number")
            return {
                next: function () {
                    if (o && i >= o.length)
                        o = void 0;
                    return { value: o && o[i++], done: !o };
                }
            };
        throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    }
    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m)
            return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
                ar.push(r.value);
        }
        catch (error) {
            e = { error: error };
        }
        finally {
            try {
                if (r && !r.done && (m = i["return"]))
                    m.call(i);
            }
            finally {
                if (e)
                    throw e.error;
            }
        }
        return ar;
    }
    /** @deprecated */
    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }
    /** @deprecated */
    function __spreadArrays() {
        for (var s = 0, i = 0, il = arguments.length; i < il; i++)
            s += arguments[i].length;
        for (var r = Array(s), k = 0, i = 0; i < il; i++)
            for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
                r[k] = a[j];
        return r;
    }
    function __spreadArray(to, from) {
        for (var i = 0, il = from.length, j = to.length; i < il; i++, j++)
            to[j] = from[i];
        return to;
    }
    function __await(v) {
        return this instanceof __await ? (this.v = v, this) : new __await(v);
    }
    function __asyncGenerator(thisArg, _arguments, generator) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var g = generator.apply(thisArg, _arguments || []), i, q = [];
        return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
        function verb(n) { if (g[n])
            i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
        function resume(n, v) { try {
            step(g[n](v));
        }
        catch (e) {
            settle(q[0][3], e);
        } }
        function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
        function fulfill(value) { resume("next", value); }
        function reject(value) { resume("throw", value); }
        function settle(f, v) { if (f(v), q.shift(), q.length)
            resume(q[0][0], q[0][1]); }
    }
    function __asyncDelegator(o) {
        var i, p;
        return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
        function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: n === "return" } : f ? f(v) : v; } : f; }
    }
    function __asyncValues(o) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var m = o[Symbol.asyncIterator], i;
        return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
        function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
        function settle(resolve, reject, d, v) { Promise.resolve(v).then(function (v) { resolve({ value: v, done: d }); }, reject); }
    }
    function __makeTemplateObject(cooked, raw) {
        if (Object.defineProperty) {
            Object.defineProperty(cooked, "raw", { value: raw });
        }
        else {
            cooked.raw = raw;
        }
        return cooked;
    }
    ;
    var __setModuleDefault = Object.create ? (function (o, v) {
        Object.defineProperty(o, "default", { enumerable: true, value: v });
    }) : function (o, v) {
        o["default"] = v;
    };
    function __importStar(mod) {
        if (mod && mod.__esModule)
            return mod;
        var result = {};
        if (mod != null)
            for (var k in mod)
                if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
                    __createBinding(result, mod, k);
        __setModuleDefault(result, mod);
        return result;
    }
    function __importDefault(mod) {
        return (mod && mod.__esModule) ? mod : { default: mod };
    }
    function __classPrivateFieldGet(receiver, privateMap) {
        if (!privateMap.has(receiver)) {
            throw new TypeError("attempted to get private field on non-instance");
        }
        return privateMap.get(receiver);
    }
    function __classPrivateFieldSet(receiver, privateMap, value) {
        if (!privateMap.has(receiver)) {
            throw new TypeError("attempted to set private field on non-instance");
        }
        privateMap.set(receiver, value);
        return value;
    }

    var UiComponent = /** @class */ (function () {
        function UiComponent() {
        }
        UiComponent.prototype.ngOnInit = function () {
        };
        return UiComponent;
    }());
    UiComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'mtc-ui',
                    template: "\n    <p>\n      ng-mtc-ui works!!!!!\n    </p>\n  "
                },] }
    ];
    UiComponent.ctorParameters = function () { return []; };

    var DataTableComponent = /** @class */ (function () {
        function DataTableComponent(srvAplicacion) {
            this.srvAplicacion = srvAplicacion;
            this.columnas = [];
            this.filasOriginales = [];
            this.filas = [];
            this.registroInicial = 0;
            this.registroFinal = 0;
            this.totalRegistros = 1;
            this.paginaActual = 1;
            this.urlDescarga = '';
            this.mostrarAcciones = true;
            this.accionesAgrupadas = true;
            this.etiquetaAcciones = '';
            this.claseTabla = '';
            this._tamanioPagina = 10;
            this.tamaniosPagina = [5, 10, 25, 50, 100];
            this.paginar = true;
            this.mostrarEditar = true;
            this.editarClick = new i0.EventEmitter();
            this.mostrarEliminar = true;
            this.eliminarClick = new i0.EventEmitter();
            this.finRefrescar = new i0.EventEmitter();
            this.botonClick = new i0.EventEmitter();
            this.filaCheck = new i0.EventEmitter();
            this.filasCheck = new i0.EventEmitter();
            this.filaSeleccionada = -1;
            this.cargando = false;
        }
        Object.defineProperty(DataTableComponent.prototype, "registros", {
            set: function (valores) {
                var _this = this;
                if (valores) {
                    this.filasOriginales = [];
                    valores.forEach(function (val) { return _this.filasOriginales.push(Object.assign({}, val)); });
                    if (this.columnas) {
                        this.columnas.filter(function (x) { return x.adaptador; }).forEach(function (c) {
                            valores.forEach(function (f) {
                                f[c.campo] = c.adaptador(f[c.campo], f);
                            });
                        });
                    }
                    this.filas = valores;
                    this.totalRegistros = this.filas.length;
                }
                else {
                    this.filas = [];
                }
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(DataTableComponent.prototype, "tamanioPagina", {
            set: function (valor) {
                if (!this.tamaniosPagina.some(function (x) { return x === valor; })) {
                    this.tamaniosPagina.push(valor);
                    this.tamaniosPagina.sort(function (a, b) { return a - b; });
                }
                this._tamanioPagina = valor;
            },
            enumerable: false,
            configurable: true
        });
        DataTableComponent.prototype.ngOnInit = function () {
        };
        DataTableComponent.prototype.seleccionarFila = function (indiceFila) {
            this.filaSeleccionada = indiceFila;
        };
        DataTableComponent.prototype.editar = function (registro) {
            this.editarClick.emit(registro);
        };
        DataTableComponent.prototype.eliminar = function (registro) {
            this.eliminarClick.emit(registro);
        };
        DataTableComponent.prototype.onBotonClick = function (boton, indiceFila, registro) {
            this.botonClick.emit({ codigoBoton: boton.codigo, indiceFila: indiceFila, registro: registro });
            if (boton.evento) {
                boton.evento(registro, indiceFila);
            }
        };
        DataTableComponent.prototype.mostrarBoton = function (boton, fila, indiceFila) {
            if (boton && boton.mostrar) {
                return boton.mostrar(fila, boton);
            }
            return true;
        };
        DataTableComponent.prototype.claseDinamica = function (columna, indice) {
            if (columna.claseDinamica) {
                return columna.claseDinamica(this.filasOriginales[indice][columna.campo], this.filasOriginales[indice]);
            }
            return '';
        };
        DataTableComponent.prototype.descargarClick = function () {
            //TODO Completar
        };
        DataTableComponent.prototype.cambioNgbPagina = function () {
            this.refrescar(this.peticionHTTP);
        };
        DataTableComponent.prototype.limpiar = function () {
            this.filas = [];
        };
        DataTableComponent.prototype.refrescar = function (peticion) {
            var _this = this;
            this.cargando = true;
            this.peticionHTTP = peticion;
            this.peticionHTTP.datos = this.peticionHTTP.datos ? this.peticionHTTP.datos : {};
            this.peticionHTTP.datos.numeroPagina = this.paginaActual;
            this.peticionHTTP.datos.tamanioPagina = Number(this._tamanioPagina);
            this.srvAplicacion.consultar(this.peticionHTTP)
                .subscribe(function (x) {
                _this.cargando = false;
                if (x && x.exito && x.contenido) { //ResultadoProceso
                    _this.registros = x.contenido;
                    _this.totalRegistros = x.total;
                }
                else {
                    _this.registros = new Array();
                    _this.totalRegistros = 0;
                }
                if (_this.filas.length < 1) {
                    _this.paginaActual = 1;
                    _this.registroFinal = _this.registroInicial = 0;
                    // this.totalRegistros = 1;
                }
                else {
                    _this.registroInicial = _this._tamanioPagina * (_this.paginaActual - 1) + 1;
                    _this.registroFinal = _this.registroInicial + _this._tamanioPagina - 1;
                    if (_this.registroFinal > _this.totalRegistros) {
                        _this.registroFinal = _this.totalRegistros;
                    }
                }
                _this.finRefrescar.emit(x);
            });
            ;
        };
        DataTableComponent.prototype.obtenerFilasCheckMarcado = function () {
            return this.filas.filter(function (x) { return x.__seleccionado; });
        };
        DataTableComponent.prototype.marcarFila = function (fila, evento) {
            marcarCheckFilaDT(fila, evento.target.checked);
            this.filaCheck.emit({ fila: fila, seleccionado: fila.__seleccionado, evento: evento });
        };
        DataTableComponent.prototype.marcarTotalFilas = function (evento) {
            this.filas.forEach(function (fila) { return marcarCheckFilaDT(fila, evento.target.checked); });
            this.filasCheck.emit({ filas: this.filas, seleccionado: evento.target.checked, evento: evento });
        };
        return DataTableComponent;
    }());
    DataTableComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'mtc-data-table',
                    template: "<div class=\"clearfix mt-3\">\n  <ng-content select=\"botonesTabla\"></ng-content>\n  <span *ngIf=\"urlDescarga\" class=\"float-right zmdi zmdi-download fz15r ml-3\" (click)=\"descargarClick()\"></span>\n  <div *ngIf=\"paginar\" class=\"tamanio-paginacion\">\n    <select class=\"\" [(ngModel)]=\"_tamanioPagina\" (change)=\"cambioNgbPagina()\">\n      <option *ngFor=\"let tp of tamaniosPagina\" value=\"{{tp}}\">{{tp}}</option>\n      <option value=\"-1\">(TODOS)</option>\n    </select>\n  </div>\n</div>\n<div class=\"overflow-auto\">\n  <table class=\"table table-responsive-sm table-bordered table-hover {{claseTabla}}\">\n    <thead class=\"thead-dark text-center\">\n    <tr>\n      <th *ngIf=\"mostrarAcciones\" class=\"columna-acciones\">{{etiquetaAcciones}}</th>\n      <th *ngIf=\"columnaCheck\" class=\"columna-acciones\">\n        <input *ngIf=\"columnaCheck.mostrarSeleccionarTodos\" type=\"checkbox\" (change)=\"marcarTotalFilas($event)\">\n      </th>\n      <th *ngFor=\"let c of columnas\" [style.width]=\"c.ancho\" [style.minWidth]=\"c.anchoMinimo\">{{c.titulo}}</th>\n    </tr>\n    </thead>\n    <tbody>\n    <tr *ngIf=\"filas.length == 0\">\n      <td [attr.colspan]=\"columnas.length + (mostrarAcciones ? 1 : 0) + (columnaCheck ? 1 : 0)\" class=\"text-center\">\n        No se encontr\u00F3 registros para mostrar\n      </td>\n    </tr>\n    <tr *ngFor=\"let fila of filas; let i = index\" (click)=\"seleccionarFila(i)\" [ngClass]=\"{'fila-seleccionada': i == filaSeleccionada}\">\n      <td *ngIf=\"mostrarAcciones\" class=\"columna-acciones pt-2 pb-2\">\n        <div *ngIf=\"accionesAgrupadas\" ngbDropdown class=\"d-inline-block\" container=\"body\">\n          <button class=\"btn btn-primary btn-sm\" ngbDropdownToggle><i class=\"zmdi zmdi-menu\"></i></button>\n          <div class=\"dropdown-menu\" ngbDropdownMenu>\n            <button *ngIf=\"mostrarEditar\" ngbDropdownItem (click)=\"editar(fila)\"><i class=\"text-blue zmdi zmdi-edit mr-2\"></i> Editar</button>\n            <ng-container *ngFor=\"let boton of botones\">\n              <button *ngIf=\"mostrarBoton(boton, fila, i)\" ngbDropdownItem (click)=\"onBotonClick(boton, i, fila)\">\n                <i class=\"{{boton.icono}} mr-2\"></i> {{boton.etiqueta}}\n              </button>\n            </ng-container>\n            <button *ngIf=\"mostrarEliminar\" ngbDropdownItem (click)=\"eliminar(fila)\"><i class=\"text-danger zmdi zmdi-close mr-2\"></i> Eliminar</button>\n          </div>\n        </div>\n        <ng-container *ngIf=\"!accionesAgrupadas\">\n          <div class=\"btn-group\">\n            <button *ngIf=\"mostrarEditar\" (click)=\"editar(fila)\" class=\"btn btn-light btn--icon\" title=\"Editar\"><i class=\"text-blue zmdi zmdi-edit\"></i></button>\n            <ng-container *ngFor=\"let boton of botones\">\n              <button *ngIf=\"mostrarBoton(boton, fila, i)\" (click)=\"onBotonClick(boton, i, fila)\" class=\"btn btn-light btn--icon\" [title]=\"boton.etiqueta\">\n                <i class=\"{{boton.icono}}\"></i>\n              </button>\n            </ng-container>\n            <button *ngIf=\"mostrarEliminar\" (click)=\"eliminar(fila)\" class=\"btn btn-light btn--icon\" title=\"Eliminar\"><i class=\"text-danger zmdi zmdi-close\"></i></button>\n          </div>\n        </ng-container>\n      </td>\n      <td *ngIf=\"columnaCheck\" class=\"columna-acciones pt-2 pb-2\">\n        <input type=\"checkbox\" [checked]=\"fila.__seleccionado\" (change)=\"marcarFila(fila, $event)\">\n      </td>\n      <td *ngFor=\"let c of columnas\" class=\"{{c.clase}} pt-2 pb-2\" [ngClass]=\"claseDinamica(c, i)\">\n        <i *ngIf=\"c.esCheck\" class=\"zmdi\" [ngClass]=\"{'zmdi-check-square': fila[c.campo] == c.valorCheck, 'zmdi-square-o': !(fila[c.campo] == c.valorCheck)}\"></i>\n        <span *ngIf=\"!c.esCheck\">\n            <ng-container *ngIf=\"c.formato == 'NE'\" >{{fila[c.campo] | number:'1.0-0'}}</ng-container>\n            <ng-container *ngIf=\"c.formato == 'ND'\" >{{fila[c.campo] | number:'1.2-2'}}</ng-container>\n            <ng-container *ngIf=\"c.formato == 'F'\" >{{fila[c.campo] | date:'dd/MM/yyyy'}}</ng-container>\n            <ng-container *ngIf=\"!c.formato\" >{{fila[c.campo]}}</ng-container>\n          </span>\n      </td>\n    </tr>\n    </tbody>\n  </table>\n</div>\n<div *ngIf=\"paginar\" class=\"row\">\n  <small class=\"col-12 mb-2 text-center\">Mostrando registros del {{registroInicial | number:'1.0-0'}} al {{registroFinal | number:'1.0-0'}} de un total de {{totalRegistros | number:'1.0-0'}} registros</small>\n  <div class=\"col-12\">\n    <ngb-pagination class=\"d-flex justify-content-center\" [collectionSize]=\"totalRegistros\" [(page)]=\"paginaActual\"\n                    [maxSize]=\"3\" [pageSize]=\"_tamanioPagina\" [rotate]=\"true\" [boundaryLinks]=\"true\" (pageChange)=\"cambioNgbPagina()\">\n    </ngb-pagination>\n  </div>\n</div>\n",
                    styles: [".columna-acciones{padding-left:0;padding-right:0;text-align:center;width:50px}ngb-pagination ::ng-deep .page-link{height:50px!important;line-height:50px!important;width:50px!important}"]
                },] }
    ];
    DataTableComponent.ctorParameters = function () { return [
        { type: AppService }
    ]; };
    DataTableComponent.propDecorators = {
        columnas: [{ type: i0.Input }],
        registros: [{ type: i0.Input }],
        urlDescarga: [{ type: i0.Input }],
        mostrarAcciones: [{ type: i0.Input }],
        accionesAgrupadas: [{ type: i0.Input }],
        etiquetaAcciones: [{ type: i0.Input }],
        claseTabla: [{ type: i0.Input }],
        botones: [{ type: i0.Input }],
        columnaCheck: [{ type: i0.Input }],
        tamanioPagina: [{ type: i0.Input }],
        tamaniosPagina: [{ type: i0.Input }],
        paginar: [{ type: i0.Input }],
        mostrarEditar: [{ type: i0.Input }],
        editarClick: [{ type: i0.Output }],
        mostrarEliminar: [{ type: i0.Input }],
        eliminarClick: [{ type: i0.Output }],
        finRefrescar: [{ type: i0.Output }],
        botonClick: [{ type: i0.Output }],
        filaCheck: [{ type: i0.Output }],
        filasCheck: [{ type: i0.Output }]
    };

    var ModalComponent = /** @class */ (function () {
        function ModalComponent(modalService, srvAplicacion) {
            this.modalService = modalService;
            this.srvAplicacion = srvAplicacion;
            this.titulo = 'Formulario';
            this.tamanio = 'lg';
            this.mostrarAceptar = true;
            this.etiquetaAceptar = 'Guardar';
            this.iconoAceptar = 'zmdi zmdi-check';
            this.mostrarCancelar = true;
            this.etiquetaCancelar = 'Cancelar';
            this.iconoCancelar = 'zmdi zmdi-close';
            this.cancelarClick = new i0.EventEmitter();
            this.solicitarConfirmacion = true;
            this.mensajeConfirmacion = '¿Está seguro de guardar los cambios realizados?';
        }
        ModalComponent.prototype.ngOnInit = function () {
        };
        ModalComponent.prototype.mostrar = function (propiedades) {
            var _this = this;
            if (propiedades === void 0) { propiedades = null; }
            if (typeof propiedades == 'string') {
                this.titulo = propiedades ? propiedades : this.titulo;
            }
            else {
                if (propiedades) {
                    this.titulo = propiedades.titulo ? propiedades.titulo : this.titulo;
                }
            }
            var atributos = { backdrop: 'static', size: this.tamanio };
            this.modal = this.modalService.open(this.modalTpl, atributos);
            this.modal.result.then(function (close) {
            }, function (dismiss) { return _this.cancelarClick.emit(); });
        };
        ModalComponent.prototype.obs = function (fn) {
            if (fn) {
                var resultado = fn();
                if (resultado instanceof rxjs.Observable) {
                    return resultado.pipe(operators.map(function (x) {
                        if (typeof x != 'boolean') {
                            if (x && x.exito) {
                                return true;
                            }
                            return false;
                        }
                        return x;
                    }));
                }
                else {
                    return rxjs.of(resultado);
                }
            }
            else {
                return rxjs.of(true);
            }
        };
        ModalComponent.prototype.aceptar = function () {
            var _this = this;
            this.obs(this.funcionValidar)
                .pipe(operators.filter(function (x) { return x; }))
                .subscribe(function () {
                if (_this.solicitarConfirmacion) {
                    _this.srvAplicacion.solicitarConfirmacion(_this.mensajeConfirmacion)
                        .then(function (resultado) {
                        if (resultado.value) {
                            _this.confirmarAceptar();
                        }
                    });
                }
                else {
                    _this.confirmarAceptar();
                }
            });
        };
        ModalComponent.prototype.confirmarAceptar = function () {
            var _this = this;
            this.obs(this.funcionAceptar)
                .pipe(operators.filter(function (x) { return x; }))
                .subscribe(function () { return _this.modal.close(); });
        };
        ModalComponent.prototype.cerrar = function () {
            this.modal.close();
        };
        return ModalComponent;
    }());
    ModalComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'mtc-modal',
                    template: "<ng-template #frmModal let-modal>\n  <div ngb-modal-draggable [ngbModalDraggableHandle]=\"draggableHandle\">\n    <div #draggableHandle class=\"modal-header bg-primary pt-2 pb-2\">\n      <h4 class=\"modal-title text-white\">{{titulo}}</h4>\n      <button type=\"button\" class=\"close p-3 text-white\" aria-label=\"Close\" (click)=\"modal.dismiss()\">\n        <span aria-hidden=\"true\">&times;</span>\n      </button>\n    </div>\n    <div class=\"modal-body\" (keyup.enter)=\"aceptar()\">\n      <ng-content></ng-content>\n    </div>\n    <div class=\"modal-footer p-2\">\n      <button *ngIf=\"mostrarAceptar\" type=\"button\" class=\"btn btn-primary\" (click)=\"aceptar()\">\n        <i *ngIf=\"iconoAceptar\" class=\"{{iconoAceptar}}\"></i> {{etiquetaAceptar}}\n      </button>\n\n      <ng-content select=\"botonesAdicionales\"></ng-content>\n\n      <button *ngIf=\"mostrarCancelar\" type=\"button\" class=\"btn btn-secondary\" (click)=\"modal.dismiss()\">\n        <i *ngIf=\"iconoCancelar\" class=\"{{iconoCancelar}}\"></i> {{etiquetaCancelar}}\n      </button>\n    </div>\n  </div>\n</ng-template>\n",
                    styles: [""]
                },] }
    ];
    ModalComponent.ctorParameters = function () { return [
        { type: ngBootstrap.NgbModal },
        { type: AppService }
    ]; };
    ModalComponent.propDecorators = {
        modalTpl: [{ type: i0.ViewChild, args: ['frmModal',] }],
        titulo: [{ type: i0.Input }],
        tamanio: [{ type: i0.Input }],
        funcionValidar: [{ type: i0.Input }],
        funcionAceptar: [{ type: i0.Input }],
        mostrarAceptar: [{ type: i0.Input }],
        etiquetaAceptar: [{ type: i0.Input }],
        iconoAceptar: [{ type: i0.Input }],
        mostrarCancelar: [{ type: i0.Input }],
        etiquetaCancelar: [{ type: i0.Input }],
        iconoCancelar: [{ type: i0.Input }],
        cancelarClick: [{ type: i0.Output }],
        solicitarConfirmacion: [{ type: i0.Input }],
        mensajeConfirmacion: [{ type: i0.Input }]
    };

    var BandejaCrudComponent = /** @class */ (function () {
        function BandejaCrudComponent() {
            this.etiquetaFiltros = 'Filtros de Búsqueda';
            this.etiquetaResultados = 'Resultados de Búsqueda';
            this.mostrarBuscar = true;
            this.mostrarLimpiar = true;
            this.mostrarAgregar = true;
            this.mostrarDescargarExcel = false;
            this.mostrarDescargarPDF = false;
            this.filtroFlotante = false;
            this.opcionesFiltro = [];
            this.buscarClick = new i0.EventEmitter();
            this.limpiarClick = new i0.EventEmitter();
            this.agregarClick = new i0.EventEmitter();
            this.descargarExcelClick = new i0.EventEmitter();
            this.descargarPDFClick = new i0.EventEmitter();
            this.cambioSeleccionFiltro = new i0.EventEmitter();
            this.filtroFlotanteVisible = false;
        }
        BandejaCrudComponent.prototype.ngOnInit = function () {
            if (this.opcionFiltroDefecto) {
                this.opcionFiltroSeleccionada = this.opcionFiltroDefecto;
            }
        };
        BandejaCrudComponent.prototype.buscar = function (emit) {
            if (emit === void 0) { emit = true; }
            if (this.filtroFlotante) {
                this.filtroFlotanteVisible = false;
            }
            if (emit) {
                this.buscarClick.emit();
            }
        };
        BandejaCrudComponent.prototype.limpiar = function () {
            this.limpiarClick.emit();
        };
        BandejaCrudComponent.prototype.agregar = function () {
            this.agregarClick.emit();
        };
        BandejaCrudComponent.prototype.descargarExcel = function () {
            this.descargarExcelClick.emit();
        };
        BandejaCrudComponent.prototype.descargarPDF = function () {
            this.descargarPDFClick.emit();
        };
        BandejaCrudComponent.prototype.cerrarFiltroFlotante = function () {
            this.filtroFlotanteVisible = false;
        };
        BandejaCrudComponent.prototype.cambiarSeleccion = function (o) {
            this.opcionFiltroSeleccionada = o.valor;
            this.cambioSeleccionFiltro.emit(o);
        };
        return BandejaCrudComponent;
    }());
    BandejaCrudComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'mtc-bandeja-crud',
                    template: "<div class=\"content__inner\">\n  <header class=\"content__title\">\n    <h1>{{titulo}}</h1>\n\n    <!-- <div class=\"actions\">\n      <a [routerLink]=\"\" class=\"actions__item zmdi zmdi-trending-up\"></a>\n      <a [routerLink]=\"\" class=\"actions__item zmdi zmdi-check-all\"></a>\n\n      <div class=\"dropdown actions__item\" dropdown>\n        <i dropdownToggle class=\"zmdi zmdi-more-vert\"></i>\n        <div *dropdownMenu class=\"dropdown-menu dropdown-menu-right\">\n          <a [routerLink]=\"\" class=\"dropdown-item\">Refresh</a>\n          <a [routerLink]=\"\" class=\"dropdown-item\">Manage Widgets</a>\n          <a [routerLink]=\"\" class=\"dropdown-item\">Settings</a>\n        </div>\n      </div>\n    </div> -->\n  </header>\n\n  <div class=\"card-mtc\" *ngIf=\"!filtroFlotante\">\n    <div class=\"actions\">\n      <div class=\"btn-group\">\n        <button *ngIf=\"mostrarBuscar\" class=\"btn btn-primary btn--icon-sm\" (click)=\"buscar()\" title=\"Buscar\"><i class=\"zmdi zmdi-search\"></i></button>\n        <button *ngIf=\"mostrarLimpiar\" class=\"btn btn-outline-secondary btn--icon-sm\" (click)=\"limpiar()\" title=\"Limpiar Filtros de B\u00FAsqueda\"><i class=\"zmdi zmdi-blur-linear\"></i></button> <!-- fa fa-broom -->\n        <ng-content select=\"botonesAdicionalesFiltro\"></ng-content>\n      </div>\n    </div>\n    <div class=\"card-header\">\n      <h6>{{etiquetaFiltros}}</h6>\n    </div>\n\n    <div class=\"card-body\" (keyup.enter)=\"buscar()\">\n      <ng-content select=\"filtros\"></ng-content>\n    </div>\n  </div>\n\n  <div *ngIf=\"filtroFlotante\" class=\"floating-filter mb-3\">\n    <div class=\"actions\">\n      <span class=\"text-muted mr-2\">\n        <ng-content select=\"filtroFlotanteEstado\"></ng-content>\n      </span>\n      <div class=\"btn-group\">\n        <button *ngIf=\"mostrarBuscar\" class=\"btn btn-primary btn--icon-sm\" (click)=\"filtroFlotanteVisible = !filtroFlotanteVisible\" title=\"Buscar\">\n          <i class=\"zmdi zmdi-search\"></i>\n        </button>\n        <button *ngIf=\"mostrarLimpiar\" class=\"btn btn-outline-secondary btn--icon-sm\" (click)=\"limpiar()\" title=\"Limpiar Filtros de B\u00FAsqueda\">\n          <i class=\"zmdi zmdi-blur-linear\"></i>\n        </button>\n        <ng-content select=\"botonesAdicionalesFiltro\"></ng-content>\n      </div>\n    </div>\n    <div>\n      <button class=\"btn btn-estado\" [class.button-selected]=\"o.valor == opcionFiltroSeleccionada\" *ngFor=\"let o of opcionesFiltro\" (click)=\"cambiarSeleccion(o)\">{{o.etiqueta}}</button>\n    </div>\n    <div class=\"backdrop\" *ngIf=\"filtroFlotanteVisible\" (click)=\"cerrarFiltroFlotante()\"></div>\n\n    <div (keyup.enter)=\"buscar()\" class=\"floating-form-filter\" [class.d-none]=\"!filtroFlotanteVisible\">\n      <ng-content select=\"filtroFlotante\"></ng-content>\n    </div>\n  </div>\n\n  <div class=\"card-mtc\">\n    <div class=\"actions\">\n      <div class=\"btn-group\">\n        <button *ngIf=\"mostrarAgregar\" class=\"btn btn-outline-primary btn--icon-sm\" (click)=\"agregar()\" title=\"Nuevo Registro\"><i class=\"zmdi zmdi-plus\"></i></button>\n        <button *ngIf=\"mostrarDescargarExcel\" class=\"btn btn-outline-secondary btn--icon-sm\" (click)=\"descargarExcel()\" title=\"Descargar Listado en Excel\"><i class=\"zmdi zmdi-download\"></i></button>\n        <button *ngIf=\"mostrarDescargarPDF\" class=\"btn btn-outline-secondary btn--icon-sm\" (click)=\"descargarPDF()\" title=\"Descargar PDF\"><i class=\"zmdi zmdi-collection-pdf\"></i></button>\n        <ng-content select=\"botonesAdicionalesResultado\"></ng-content>\n      </div>\n    </div>\n    <div class=\"card-header\">\n      <h6>{{etiquetaResultados}}</h6>\n    </div>\n    <div class=\"card-body\">\n      <ng-content select=\"resultado\"></ng-content>\n    </div>\n  </div>\n\n  <ng-content select=\"seccionesAdicionales\"></ng-content>\n</div>\n",
                    styles: [".content__inner{padding-left:0}.actions{position:absolute;right:15px;z-index:2}.btn-estado{background-color:transparent}.button-selected{border:0!important;border-bottom:2px solid #eb1e23!important;color:#eb1e23}.backdrop{background-color:#868e96;border-radius:4px 4px 0 0;bottom:0;color:hsla(0,0%,100%,.75);left:0;margin:auto;opacity:.5;padding:1rem 0;position:fixed;right:0;text-align:center;top:0;z-index:4}.floating-filter{position:relative}.floating-filter .floating-form-filter{background-color:#fff;border:1px solid #9e9e9e;border-radius:10px;box-shadow:5px 5px 10px #9e9e9e;padding:1rem;position:absolute;right:15px;top:50px;width:50%;z-index:12}"]
                },] }
    ];
    BandejaCrudComponent.ctorParameters = function () { return []; };
    BandejaCrudComponent.propDecorators = {
        titulo: [{ type: i0.Input }],
        comentarioTitulo: [{ type: i0.Input }],
        etiquetaFiltros: [{ type: i0.Input }],
        etiquetaResultados: [{ type: i0.Input }],
        mostrarBuscar: [{ type: i0.Input }],
        mostrarLimpiar: [{ type: i0.Input }],
        mostrarAgregar: [{ type: i0.Input }],
        mostrarDescargarExcel: [{ type: i0.Input }],
        mostrarDescargarPDF: [{ type: i0.Input }],
        filtroFlotante: [{ type: i0.Input }],
        opcionesFiltro: [{ type: i0.Input }],
        opcionFiltroDefecto: [{ type: i0.Input }],
        buscarClick: [{ type: i0.Output }],
        limpiarClick: [{ type: i0.Output }],
        agregarClick: [{ type: i0.Output }],
        descargarExcelClick: [{ type: i0.Output }],
        descargarPDFClick: [{ type: i0.Output }],
        cambioSeleccionFiltro: [{ type: i0.Output }]
    };

    var ControlComponent = /** @class */ (function () {
        function ControlComponent() {
            this.isTextarea = false;
            this.etiqueta = '';
            this.mostrarErrores = true;
            this.mensajeError = '';
            this.mensajesError = {
                'min': 'Número debe ser mayor o igual a {0}',
                'max': 'Número debe ser menor o igual a {0}',
                'required': 'Este campo es obligatorio',
                'email': 'Ingresar un correo válido',
                'minlength': 'Ingresar mínimo {0} caracteres',
                'maxlength': 'Ingresar máximo {0} caracteres',
                'pattern': 'No cumple con el formato',
                'maxDate': 'Fecha debe ser mayor a {0}',
                'minDate': 'Fecha debe ser menor a {0}'
            };
            this.mensajesMostrar = [];
            this.esSelect = false;
            this.invalido = false;
        }
        ControlComponent.prototype.ngAfterViewInit = function () {
            var _this = this;
            if (this.ngControl && this.ngControl.statusChanges) {
                var input = this.divPrincipal.nativeElement.querySelector('input');
                var select = this.divPrincipal.nativeElement.querySelector('select');
                var control = input ? input : select;
                this.subscribirCambios(control);
            }
            if (this.divPrincipal.nativeElement.querySelector('select')) {
                setTimeout(function () {
                    _this.esSelect = true;
                });
            }
        };
        ControlComponent.prototype.actualizarNgControl = function (ngControl) {
            this.ngControl = ngControl;
        };
        ControlComponent.prototype.subscribirCambios = function (control) {
            var _this = this;
            var claseError = 'form-control-danger';
            if (this.subscripcion) {
                this.subscripcion.unsubscribe();
            }
            if (this.ngControl && this.ngControl.statusChanges) {
                this.subscripcion = this.ngControl.statusChanges.subscribe(function () {
                    var error = _this.mostrarErrores && _this.ngControl.invalid && _this.ngControl.dirty;
                    if (error) {
                        _this.actualizarErrores();
                    }
                    if (error != _this.invalido) {
                        _this.invalido = error;
                        if (_this.invalido) {
                            if (control && !control.classList.contains(claseError)) {
                                control.classList.add(claseError);
                            }
                        }
                        else {
                            if (control && control.classList.contains(claseError)) {
                                control.classList.remove(claseError);
                            }
                        }
                    }
                });
            }
        };
        ControlComponent.prototype.ngOnInit = function () {
        };
        ControlComponent.prototype.actualizarErrores = function () {
            if (this.mensajeError) {
                this.mensajesMostrar = [this.mensajeError];
            }
            else {
                this.mensajesMostrar = [];
                for (var k in this.ngControl.errors) {
                    var mensaje = this.mensajesError[k];
                    if (mensaje) {
                        if (k == 'minlength' || k == 'maxlength') {
                            mensaje = mensaje.replace(/\{0\}/, this.ngControl.errors[k].requiredLength);
                        }
                        else if (k == 'min' || k == 'max') {
                            mensaje = mensaje.replace(/\{0\}/, this.ngControl.errors[k][k]);
                        }
                        else if (k == 'minDate' || k == 'maxDate') {
                            mensaje = mensaje.replace(/\{0\}/, this.ngControl.errors[k].value);
                        }
                        this.mensajesMostrar.push(mensaje);
                    }
                    else {
                        this.mensajesMostrar.push('El valor ingresado es incorrecto');
                    }
                }
            }
        };
        ControlComponent.prototype.ngOnDestroy = function () {
            if (this.subscripcion) {
                this.subscripcion.unsubscribe();
            }
        };
        return ControlComponent;
    }());
    ControlComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'mtc-control',
                    template: "<div #divPrincipal class=\"form-group form-group--float\" [ngClass]=\"{'select': esSelect}\">\n  <ng-content></ng-content>\n  <label [class.textarea-label]=\"isTextarea\">{{etiqueta}}</label>\n  <i class=\"form-group__bar\"></i>\n  <div *ngIf=\"invalido\" class=\"text-danger tooltip-error ng-star-inserted\"\n       [ngbTooltip]=\"tplMensajes\" placement=\"top\" >\n    <i class=\"text-danger zmdi zmdi-alert-circle\"></i>\n  </div>\n  <ng-template #tplMensajes>\n    <div *ngIf=\"mensajesMostrar.length == 1\">\n      {{mensajesMostrar[0]}}\n    </div>\n    <div *ngIf=\"mensajesMostrar.length != 1\">\n      <ul>\n        <li *ngFor=\"let msj of mensajesMostrar\">{{msj}}</li>\n      </ul>\n    </div>\n  </ng-template>\n</div>\n",
                    styles: [""]
                },] }
    ];
    ControlComponent.ctorParameters = function () { return []; };
    ControlComponent.propDecorators = {
        isTextarea: [{ type: i0.Input }],
        etiqueta: [{ type: i0.Input, args: ['etiqueta',] }],
        mostrarErrores: [{ type: i0.Input, args: ['mostrarError',] }],
        mensajeError: [{ type: i0.Input, args: ['mensajeError',] }],
        ngControl: [{ type: i0.ContentChild, args: [forms.NgControl,] }],
        divPrincipal: [{ type: i0.ViewChild, args: ['divPrincipal',] }]
    };

    var ControlInputComponent = /** @class */ (function () {
        function ControlInputComponent(ngControl) {
            this.ngControl = ngControl;
            this.etiqueta = '';
            this.class = '';
            this.cambioValor = new i0.EventEmitter();
            this.readonly = false;
            this.disabled = false;
            this.elevarCambio = function (_) {
            };
            this.inicializado = false;
            this.estaDeshabilitado = false;
            if (this.ngControl) {
                this.ngControl.valueAccessor = this;
            }
        }
        ControlInputComponent.prototype.writeValue = function (obj) {
            this.valor = obj ? obj : '';
            if (this.control) {
                this.control.nativeElement.value = this.valor;
            }
        };
        ControlInputComponent.prototype.registerOnChange = function (fn) {
            this.elevarCambio = fn;
        };
        ControlInputComponent.prototype.registerOnTouched = function (fn) {
        };
        ControlInputComponent.prototype.setDisabledState = function (isDisabled) {
            this.estaDeshabilitado = isDisabled;
            if (this.control) {
                this.control.nativeElement.disabled = isDisabled;
            }
        };
        ControlInputComponent.prototype.ngOnInit = function () {
            // this.ngControl.control.setValidators([this.validate.bind(this)]);
            // this.ngControl.control.updateValueAndValidity();
        };
        ControlInputComponent.prototype.ngAfterViewInit = function () {
            var _this = this;
            setTimeout(function () {
                _this.inicializado = true;
            });
            if (this.valor) {
                this.control.nativeElement.value = this.valor;
            }
            if (this.estaDeshabilitado) {
                this.control.nativeElement.disabled = this.estaDeshabilitado;
            }
            if (this.contenedor) {
                this.contenedor.ngControl = this.ngControl;
                this.contenedor.subscribirCambios(this.control.nativeElement);
            }
        };
        ControlInputComponent.prototype.focus = function () {
            this.control.nativeElement.focus();
        };
        return ControlInputComponent;
    }());
    ControlInputComponent.decorators = [
        { type: i0.Component, args: [{ template: '' },] }
    ];
    ControlInputComponent.ctorParameters = function () { return [
        { type: forms.NgControl }
    ]; };
    ControlInputComponent.propDecorators = {
        etiqueta: [{ type: i0.Input }],
        class: [{ type: i0.Input }],
        control: [{ type: i0.ViewChild, args: ['ctrl',] }],
        contenedor: [{ type: i0.ViewChild, args: [ControlComponent,] }],
        cambioValor: [{ type: i0.Output }],
        readonly: [{ type: i0.Input }],
        disabled: [{ type: i0.Input }],
        mensajeError: [{ type: i0.Input }]
    };

    var ControlBusquedaComponent = /** @class */ (function (_super) {
        __extends(ControlBusquedaComponent, _super);
        function ControlBusquedaComponent(ngControl) {
            var _this = _super.call(this, ngControl) || this;
            _this.ngControl = ngControl;
            _this.etiqueta = 'Buscar';
            _this.tooltip = 'Digite al menos 5 caracteres para realizar la búsqueda';
            _this.minimoCaracteres = 5;
            _this.detenerEnterAlSeleccionar = true;
            _this.detenerEnter = false;
            _this.listaBusqueda = [];
            _this.campoMostrar = 'descripcion';
            _this.busqueda = function (text$) { return text$.pipe(operators.debounceTime(300), operators.distinctUntilChanged(), operators.tap(function (x) {
                if (x.length < _this.minimoCaracteres) {
                    _this.instancia.dismissPopup();
                }
            }), operators.filter(function (x) { return x.length >= _this.minimoCaracteres; }), operators.switchMap(function (textoBusqueda) {
                textoBusqueda = textoBusqueda.toUpperCase();
                return rxjs.of(_this.listaBusqueda.filter(function (x) { return x[_this.campoMostrar].toUpperCase().includes(textoBusqueda); }));
            })); };
            _this.formatoMostrar = function (x) { return x[_this.campoMostrar]; };
            _this.formatoResultado = function (x) { return x[_this.campoMostrar]; };
            return _this;
        }
        ControlBusquedaComponent.prototype.ngAfterViewInit = function () {
            _super.prototype.ngAfterViewInit.call(this);
            if (this.valor) {
                this.establecerValor(this.valor, false);
            }
        };
        ControlBusquedaComponent.prototype.writeValue = function (obj) {
            this.establecerValor(obj, false);
        };
        ControlBusquedaComponent.prototype.establecerValor = function (valor, comunicarCambio) {
            if (comunicarCambio === void 0) { comunicarCambio = true; }
            if (this.instancia) {
                this.instancia.writeValue(valor);
            }
            if (!valor && !this.valor) { // No hay cambio
            }
            else if (!(valor && this.valor) || valor !== this.valor) {
                this.valor = valor;
                if (comunicarCambio) {
                    // valor = valor ? valor : {};
                    this.cambioValor.emit(valor);
                    this.elevarCambio(valor);
                }
            }
        };
        ControlBusquedaComponent.prototype.ngOnInit = function () {
        };
        ControlBusquedaComponent.prototype.escape = function () {
            this.establecerValor(null);
        };
        ControlBusquedaComponent.prototype.onBlur = function () {
            this.establecerValor(this.control.nativeElement.value ? this.valor : null);
        };
        ControlBusquedaComponent.prototype.elementoSeleccionado = function (x) {
            var _this = this;
            this.detenerEnter = true;
            this.establecerValor(x.item);
            setTimeout(function () {
                _this.detenerEnter = false;
            }, 500);
        };
        ControlBusquedaComponent.prototype.enter = function (x) {
            if (this.detenerEnter && this.detenerEnterAlSeleccionar) {
                x.stopPropagation();
            }
        };
        return ControlBusquedaComponent;
    }(ControlInputComponent));
    ControlBusquedaComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'mtc-control-busqueda',
                    template: "<mtc-control [etiqueta]=\"etiqueta\">\n  <input #ctrl [ngClass]=\"{'form-control--active': inicializado && ctrl.value}\"\n         (keydown.esc)=\"escape()\" (blur)=\"onBlur()\" [title]=\"tooltip\" mtcInputFloat\n         [ngbTypeahead]=\"busqueda\" [resultFormatter]=\"formatoResultado\" [inputFormatter]=\"formatoMostrar\"\n         (selectItem)=\"elementoSeleccionado($event)\" (keyup.enter)=\"enter($event)\">\n</mtc-control>\n",
                    styles: [""]
                },] }
    ];
    ControlBusquedaComponent.ctorParameters = function () { return [
        { type: forms.NgControl }
    ]; };
    ControlBusquedaComponent.propDecorators = {
        etiqueta: [{ type: i0.Input }],
        tooltip: [{ type: i0.Input }],
        minimoCaracteres: [{ type: i0.Input }],
        instancia: [{ type: i0.ViewChild, args: [ngBootstrap.NgbTypeahead,] }],
        detenerEnterAlSeleccionar: [{ type: i0.Input }],
        listaBusqueda: [{ type: i0.Input }],
        campoMostrar: [{ type: i0.Input }]
    };

    var InputFloatDirective = /** @class */ (function () {
        function InputFloatDirective(el) {
            this.el = el;
            if (!this.el.nativeElement.classList.contains('form-control')) {
                this.el.nativeElement.classList.add('form-control');
            }
        }
        InputFloatDirective.prototype.onBlur = function () {
            var status = true ? this.el.nativeElement.value : false;
            this.inputStatus = status;
        };
        InputFloatDirective.prototype.ngOnInit = function () {
            this.onBlur();
        };
        return InputFloatDirective;
    }());
    InputFloatDirective.decorators = [
        { type: i0.Directive, args: [{
                    selector: '[mtcInputFloat]',
                    host: {
                        '(blur)': 'onBlur()'
                    }
                },] }
    ];
    InputFloatDirective.ctorParameters = function () { return [
        { type: i0.ElementRef }
    ]; };
    InputFloatDirective.propDecorators = {
        inputStatus: [{ type: i0.HostBinding, args: ['class.form-control--active',] }]
    };

    var FloatTextDirective = /** @class */ (function () {
        function FloatTextDirective(el) {
            this.el = el;
            this.claseContenido = 'form-control--active';
            if (!this.el.nativeElement.classList.contains('form-control')) {
                this.el.nativeElement.classList.add('form-control');
            }
        }
        FloatTextDirective.prototype.verificar = function (contenido) {
            console.log('verificar: ', contenido);
            if (contenido) {
                if (!this.el.nativeElement.classList.contains(this.claseContenido)) {
                    this.el.nativeElement.classList.add(this.claseContenido);
                }
            }
            else {
                if (this.el.nativeElement.classList.contains(this.claseContenido)) {
                    this.el.nativeElement.classList.remove(this.claseContenido);
                }
            }
        };
        return FloatTextDirective;
    }());
    FloatTextDirective.decorators = [
        { type: i0.Directive, args: [{
                    selector: '[mtcFloatText]'
                },] }
    ];
    FloatTextDirective.ctorParameters = function () { return [
        { type: i0.ElementRef }
    ]; };
    FloatTextDirective.propDecorators = {
        verificar: [{ type: i0.HostListener, args: ['ngModelChange', ['$event'],] }]
    };

    var ControlCajaComponent = /** @class */ (function (_super) {
        __extends(ControlCajaComponent, _super);
        function ControlCajaComponent(ngControl) {
            var _this = _super.call(this, ngControl) || this;
            _this.ngControl = ngControl;
            return _this;
        }
        ControlCajaComponent.prototype.onInput = function ($event) {
            this.elevarCambio($event.target.value);
        };
        return ControlCajaComponent;
    }(ControlInputComponent));
    ControlCajaComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'mtc-control-caja',
                    template: "<mtc-control [etiqueta]=\"etiqueta\">\n  <input #ctrl [ngClass]=\"{'form-control--active': inicializado && ctrl.value}\"\n         class=\"form-control {{class}}\" (input)=\"onInput($event)\" [readOnly]=\"readonly\"\n         [disabled]=\"disabled\">\n</mtc-control>\n",
                    styles: [""]
                },] }
    ];
    ControlCajaComponent.ctorParameters = function () { return [
        { type: forms.NgControl }
    ]; };

    var DELIMITER = '/';
    function parse(value) {
        if (value) {
            var date = value.split(DELIMITER);
            return {
                day: parseInt(date[0], 10),
                month: parseInt(date[1], 10),
                year: parseInt(date[2], 10)
            };
        }
        return null;
    }
    function format(date) {
        return date ? ("0" + date.day).slice(-2) + DELIMITER + ("0" + date.month).slice(-2) + DELIMITER + date.year : null;
    }
    var CustomAdapter = /** @class */ (function (_super) {
        __extends(CustomAdapter, _super);
        function CustomAdapter() {
            var _this = _super.apply(this, __spread(arguments)) || this;
            _this.fromModel = function (value) { return parse(value); };
            _this.toModel = function (date) { return format(date); };
            return _this;
        }
        return CustomAdapter;
    }(ngBootstrap.NgbDateAdapter));
    CustomAdapter.decorators = [
        { type: i0.Injectable }
    ];
    var CustomDateParserFormatter = /** @class */ (function (_super) {
        __extends(CustomDateParserFormatter, _super);
        function CustomDateParserFormatter() {
            var _this = _super.apply(this, __spread(arguments)) || this;
            _this.parse = function (value) { return parse(value); };
            return _this;
        }
        CustomDateParserFormatter.prototype.format = function (date) {
            var valor = format(date);
            return valor ? valor : '';
        };
        return CustomDateParserFormatter;
    }(ngBootstrap.NgbDateParserFormatter));
    CustomDateParserFormatter.decorators = [
        { type: i0.Injectable }
    ];
    var I18N_VALUES = {
        'es': {
            weekdays: ['L', 'M', 'M', 'J', 'V', 'S', 'D'],
            months: ['Ene', 'Feb', 'Mar', 'Abr', 'May', 'Jun', 'Jul', 'Ago', 'Sep', 'Oct', 'Nov', 'Dic'],
        }
    };
    var I18n = /** @class */ (function () {
        function I18n() {
            this.language = 'es';
        }
        return I18n;
    }());
    I18n.decorators = [
        { type: i0.Injectable }
    ];
    var CustomDatepickerI18nService = /** @class */ (function (_super) {
        __extends(CustomDatepickerI18nService, _super);
        function CustomDatepickerI18nService(_i18n) {
            var _this = _super.call(this) || this;
            _this._i18n = _i18n;
            return _this;
        }
        CustomDatepickerI18nService.prototype.getWeekdayShortName = function (weekday) {
            return I18N_VALUES[this._i18n.language].weekdays[weekday - 1];
        };
        CustomDatepickerI18nService.prototype.getMonthShortName = function (month) {
            return I18N_VALUES[this._i18n.language].months[month - 1];
        };
        CustomDatepickerI18nService.prototype.getMonthFullName = function (month) {
            return this.getMonthShortName(month);
        };
        CustomDatepickerI18nService.prototype.getDayAriaLabel = function (date) {
            return date.day + "-" + date.month + "-" + date.year;
        };
        return CustomDatepickerI18nService;
    }(ngBootstrap.NgbDatepickerI18n));
    CustomDatepickerI18nService.decorators = [
        { type: i0.Injectable }
    ];
    CustomDatepickerI18nService.ctorParameters = function () { return [
        { type: I18n }
    ]; };
    var ControlFechaComponent = /** @class */ (function (_super) {
        __extends(ControlFechaComponent, _super);
        function ControlFechaComponent(ngControl) {
            var _this = _super.call(this, ngControl) || this;
            _this.ngControl = ngControl;
            return _this;
        }
        Object.defineProperty(ControlFechaComponent.prototype, "fecha", {
            // _fecha: Date;
            get: function () {
                return this.valor;
            },
            set: function (valor) {
                this.valor = valor;
                this.elevarCambio(valor);
                this.cambioValor.emit(valor);
            },
            enumerable: false,
            configurable: true
        });
        ControlFechaComponent.prototype.ngAfterViewInit = function () {
            _super.prototype.ngAfterViewInit.call(this);
            if (this.valor) {
                this.control.nativeElement.value = this.formatDate(this.valor ? this.valor : '');
            }
        };
        ControlFechaComponent.prototype.writeValue = function (obj) {
            this.valor = obj;
            if (this.control) {
                this.control.nativeElement.value = this.formatDate(obj ? obj : '');
            }
        };
        ControlFechaComponent.prototype.fechaSeleccionada = function (valor) {
            this.fecha = new Date(valor.year, valor.month - 1, valor.day);
        };
        ControlFechaComponent.prototype.cambioTexto = function (control, evento) {
            var fecha = null;
            var fechaTexto = evento.target.value;
            if (fechaTexto) {
                var ngbdate = parse(fechaTexto);
                var date = new Date(ngbdate.year, ngbdate.month - 1, ngbdate.day);
                if (date.getFullYear() == ngbdate.year && date.getMonth() == ngbdate.month - 1 && date.getDate() == ngbdate.day) {
                    fecha = date;
                }
            }
            this.fecha = fecha;
            if (!fecha) {
                control.writeValue(null);
            }
        };
        ControlFechaComponent.prototype.formatDate = function (valorFecha) {
            if (!valorFecha) {
                return '';
            }
            return format({
                year: valorFecha.getFullYear(),
                month: valorFecha.getMonth() + 1,
                day: valorFecha.getDate()
            });
        };
        ControlFechaComponent.prototype.escape = function (control, evento) {
            evento.stopPropagation();
            var valor = '';
            if (this.fecha) {
                valor = this.formatDate(this.fecha);
            }
            evento.target.value = valor ? valor : '';
            evento.target.blur();
        };
        return ControlFechaComponent;
    }(ControlInputComponent));
    ControlFechaComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'mtc-control-fecha',
                    template: "<mtc-control [etiqueta]=\"etiqueta\" [mensajeError]=\"mensajeError\">\n  <input #ctrl [ngClass]=\"{'form-control--active': inicializado && ctrl.value}\"\n         class=\"form-control {{class}}\" ngbDatepicker #dp=\"ngbDatepicker\"\n         mask=\"09/09/0000\" [restoreFocus]=\"false\" (focus)=\"dp.toggle()\" (dateSelect)=\"fechaSeleccionada($event)\"\n         (change)=\"cambioTexto(dp, $event)\" (keydown.esc)=\"escape(dp, $event)\"\n         [readOnly]=\"readonly\" [disabled]=\"disabled\">\n</mtc-control>\n",
                    providers: [
                        I18n,
                        { provide: ngBootstrap.NgbDatepickerI18n, useClass: CustomDatepickerI18nService },
                        { provide: ngBootstrap.NgbDateAdapter, useClass: CustomAdapter },
                        { provide: ngBootstrap.NgbDateParserFormatter, useClass: CustomDateParserFormatter }
                    ],
                    styles: [""]
                },] }
    ];
    ControlFechaComponent.ctorParameters = function () { return [
        { type: forms.NgControl }
    ]; };

    var ControlListaComponent = /** @class */ (function (_super) {
        __extends(ControlListaComponent, _super);
        function ControlListaComponent(ngControl) {
            var _this = _super.call(this, ngControl) || this;
            _this.ngControl = ngControl;
            _this.incluirVacio = true;
            return _this;
        }
        ControlListaComponent.prototype.ngOnChanges = function (changes) {
            var _this = this;
            if (changes.lista) {
                setTimeout(function () {
                    _this.control.nativeElement.value = _this.valor;
                });
            }
        };
        ControlListaComponent.prototype.cambio = function ($event) {
            this.valor = $event.target.value;
            this.elevarCambio(this.valor);
            this.cambioValor.emit(this.valor);
        };
        return ControlListaComponent;
    }(ControlInputComponent));
    ControlListaComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'mtc-control-lista',
                    template: "<mtc-control [etiqueta]=\"etiqueta\">\n  <select #ctrl [ngClass]=\"{'form-control--active': inicializado && valor}\"\n          class=\"form-control {{class}}\" (change)=\"cambio($event)\">\n    <option *ngIf=\"incluirVacio\"></option>\n    <option *ngFor=\"let x of lista\" [value]=\"x.codigo\">{{x.descripcion}}</option>\n  </select>\n</mtc-control>\n",
                    styles: [""]
                },] }
    ];
    ControlListaComponent.ctorParameters = function () { return [
        { type: forms.NgControl }
    ]; };
    ControlListaComponent.propDecorators = {
        lista: [{ type: i0.Input }],
        incluirVacio: [{ type: i0.Input }]
    };

    var ControlMascaraComponent = /** @class */ (function (_super) {
        __extends(ControlMascaraComponent, _super);
        function ControlMascaraComponent(ngControl) {
            var _this = _super.call(this, ngControl) || this;
            _this.ngControl = ngControl;
            _this.mascara = 'S*';
            return _this;
        }
        ControlMascaraComponent.prototype.writeValue = function (obj) {
            _super.prototype.writeValue.call(this, obj);
            if (this.control) {
                var evento = new Event('input');
                this.control.nativeElement.dispatchEvent(evento);
            }
        };
        ControlMascaraComponent.prototype.onInput = function ($event) {
            this.elevarCambio($event.target.value);
        };
        ControlMascaraComponent.prototype.onFocus = function ($event) {
            var value = this.control.nativeElement.value;
            if (value) {
                this.writeValue(value);
            }
        };
        return ControlMascaraComponent;
    }(ControlInputComponent));
    ControlMascaraComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'mtc-control-mascara',
                    template: "<mtc-control [etiqueta]=\"etiqueta\">\n  <input #ctrl [ngClass]=\"{'form-control--active': inicializado && ctrl.value}\" [mask]=\"mascara\"\n         class=\"form-control {{class}}\" (input)=\"onInput($event)\" (focusin)=\"onFocus($event)\"\n         [readOnly]=\"readonly\" [disabled]=\"disabled\">\n</mtc-control>\n",
                    styles: [""]
                },] }
    ];
    ControlMascaraComponent.ctorParameters = function () { return [
        { type: forms.NgControl }
    ]; };
    ControlMascaraComponent.propDecorators = {
        mascara: [{ type: i0.Input }]
    };

    var ControlNumericoComponent = /** @class */ (function (_super) {
        __extends(ControlNumericoComponent, _super);
        function ControlNumericoComponent(ngControl) {
            var _this = _super.call(this, ngControl) || this;
            _this.ngControl = ngControl;
            _this._separadorMiles = ',';
            _this._separadorDecimal = '.';
            _this.mascara = 'separator.2';
            _this.permitirNegativo = false;
            _this.regExp = new RegExp(_this._separadorMiles, 'g');
            return _this;
        }
        Object.defineProperty(ControlNumericoComponent.prototype, "separadorMiles", {
            set: function (valor) {
                this._separadorMiles = valor;
                this._separadorDecimal = valor === '.' ? ',' : '.';
                this.regExp = new RegExp(valor, 'g');
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(ControlNumericoComponent.prototype, "cantidadDecimales", {
            set: function (valor) {
                this.mascara = "separator." + valor;
            },
            enumerable: false,
            configurable: true
        });
        ControlNumericoComponent.prototype.obtenerNumero = function (valor) {
            var _a = __read(valor.split(this._separadorDecimal), 2), numero = _a[0], decimal = _a[1];
            numero = numero.replace(this.regExp, '');
            if (decimal) {
                numero = numero.concat(this._separadorDecimal, decimal);
            }
            return numero;
        };
        ControlNumericoComponent.prototype.writeValue = function (obj) {
            _super.prototype.writeValue.call(this, obj);
            if (this.control) { //simulamos un evento para que se ejecute la máscara
                var evento = new Event('input');
                this.control.nativeElement.dispatchEvent(evento);
            }
        };
        ControlNumericoComponent.prototype.onInput = function ($event) {
            if ($event.target.value) {
                this.elevarCambio(this.obtenerNumero($event.target.value));
            }
            else {
                this.elevarCambio('');
            }
        };
        ControlNumericoComponent.prototype.onFocus = function ($event) {
            var value = this.control.nativeElement.value;
            if (value) {
                this.writeValue(value);
            }
        };
        return ControlNumericoComponent;
    }(ControlInputComponent));
    ControlNumericoComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'mtc-control-numerico',
                    template: "<mtc-control [etiqueta]=\"etiqueta\">\n  <input #ctrl [ngClass]=\"{'form-control--active': inicializado && ctrl.value}\"\n         [allowNegativeNumbers]=\"permitirNegativo\" [mask]=\"mascara\" [thousandSeparator]=\"_separadorMiles\"\n         class=\"form-control {{class}}\" (input)=\"onInput($event)\" (focusin)=\"onFocus($event)\"\n         [readOnly]=\"readonly\" [disabled]=\"disabled\">\n</mtc-control>\n",
                    styles: [""]
                },] }
    ];
    ControlNumericoComponent.ctorParameters = function () { return [
        { type: forms.NgControl }
    ]; };
    ControlNumericoComponent.propDecorators = {
        permitirNegativo: [{ type: i0.Input }],
        separadorMiles: [{ type: i0.Input }],
        cantidadDecimales: [{ type: i0.Input }]
    };

    var ControlSwitchComponent = /** @class */ (function (_super) {
        __extends(ControlSwitchComponent, _super);
        function ControlSwitchComponent(ngControl) {
            var _this = _super.call(this, ngControl) || this;
            _this.ngControl = ngControl;
            _this.alineacionDerecha = true;
            return _this;
        }
        ControlSwitchComponent.prototype.ngAfterViewInit = function () {
            _super.prototype.ngAfterViewInit.call(this);
            if (this.valor) {
                this.control.nativeElement.checked = (this.valor === true);
            }
        };
        ControlSwitchComponent.prototype.writeValue = function (obj) {
            this.valor = obj;
            if (this.control) {
                this.control.nativeElement.checked = (obj === true);
            }
        };
        ControlSwitchComponent.prototype.cambio = function ($event) {
            this.check($event.target.checked);
        };
        ControlSwitchComponent.prototype.check = function (valor) {
            this.elevarCambio(valor);
            this.cambioValor.emit(valor);
        };
        return ControlSwitchComponent;
    }(ControlInputComponent));
    ControlSwitchComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'mtc-control-switch',
                    template: "<div class=\"form-group form-inline mb-0\" [ngClass]=\"class\">\n  <label *ngIf=\"alineacionDerecha\" class=\"mr-2\" (click)=\"check(!valor)\" >{{etiqueta}}</label>\n  <div class=\"toggle-switch toggle-switch--red\">\n    <input #ctrl type=\"checkbox\" class=\"toggle-switch__checkbox\" (change)=\"cambio($event)\">\n    <i class=\"toggle-switch__helper\"></i>\n  </div>\n  <label *ngIf=\"!alineacionDerecha\" class=\"ml-2\" (click)=\"check(!valor)\" >{{etiqueta}}</label>\n</div>\n",
                    styles: [""]
                },] }
    ];
    ControlSwitchComponent.ctorParameters = function () { return [
        { type: forms.NgControl }
    ]; };
    ControlSwitchComponent.propDecorators = {
        alineacionDerecha: [{ type: i0.Input }]
    };

    var BandejaCRUD = /** @class */ (function () {
        function BandejaCRUD(router, route) {
            this.router = router;
            this.route = route;
        }
        BandejaCRUD.prototype.ngAfterViewInit = function () {
            var _this = this;
            var _a;
            (_a = this.crudComponent) === null || _a === void 0 ? void 0 : _a.buscarClick.subscribe(function (_) {
                console.log('buscando desde clase');
                _this.ejecutarBuscar();
            });
            this.ejecutarBuscar();
        };
        BandejaCRUD.prototype.ngOnInit = function () {
        };
        BandejaCRUD.prototype.formularioFiltroVacio = function (exclude) {
            if (exclude === void 0) { exclude = []; }
            if (!this.frmBusqueda) {
                return false;
            }
            var fields = [];
            for (var field in this.frmBusqueda.controls) {
                if (!exclude.includes(field)) {
                    if (this.frmBusqueda.controls.hasOwnProperty(field)) {
                        fields.push(this.frmBusqueda.get(field).value);
                    }
                }
            }
            return fields.filter(function (v) { return !!v; }).length === 0;
        };
        BandejaCRUD.prototype.limpiar = function () {
            this.frmBusqueda.reset();
            this.ejecutarBuscar();
        };
        /*buscar() {
          // this.ejecutarBuscar();
        }*/
        BandejaCRUD.prototype.ejecutarBuscar = function (datosAdicionales) {
            var _a, _b;
            console.log('ejecutarBuscar');
            (_a = this.crudComponent) === null || _a === void 0 ? void 0 : _a.buscar(false);
            var filtro = Object.assign(Object.assign({}, this.frmBusqueda.value), datosAdicionales);
            (_b = this.dtListado) === null || _b === void 0 ? void 0 : _b.refrescar({ url: this.urlListarBandeja, datos: filtro });
        };
        BandejaCRUD.prototype.mostrarFormulario = function (accion, parametros) {
            var queryParams = Object.assign({ accion: accion }, parametros);
            this.router.navigate([], { relativeTo: this.route, queryParams: queryParams });
        };
        BandejaCRUD.prototype.mostrarAgregar = function (parametros) {
            this.mostrarFormulario(Constante.TipoAccionFormulario.AGREGAR, parametros);
        };
        BandejaCRUD.prototype.mostrarEditar = function (parametros) {
            this.mostrarFormulario(Constante.TipoAccionFormulario.EDITAR, parametros);
        };
        return BandejaCRUD;
    }());
    BandejaCRUD.decorators = [
        { type: i0.Component, args: [{ template: '' },] }
    ];
    BandejaCRUD.ctorParameters = function () { return [
        { type: router.Router },
        { type: router.ActivatedRoute }
    ]; };
    BandejaCRUD.propDecorators = {
        dtListado: [{ type: i0.ViewChild, args: [DataTableComponent,] }],
        crudComponent: [{ type: i0.ViewChild, args: [BandejaCrudComponent,] }]
    };

    var FormularioCRUD = /** @class */ (function () {
        function FormularioCRUD(route, router) {
            var _this = this;
            this.route = route;
            this.router = router;
            this.tituloAgregar = 'Crear Registro';
            this.tituloEditar = 'Editar Registro';
            this.tituloFormulario = 'Formulario';
            this.finalizado = new i0.EventEmitter();
            this.esEdicion = false;
            this.validar = function () {
                return _this.frmDatos.validate();
            };
        }
        FormularioCRUD.prototype.ngAfterViewInit = function () {
            var _this = this;
            setTimeout(function () {
                _this.subsParametros$ = _this.route.queryParams.subscribe(function (params) {
                    _this.accion = params['accion'];
                    _this.esEdicion = _this.accion == Constante.TipoAccionFormulario.EDITAR;
                    if (_this.permitirMostrar(params)) {
                        _this.mostrar(params);
                    }
                });
            });
        };
        FormularioCRUD.prototype.permitirMostrar = function (params) {
            return this.accion == Constante.TipoAccionFormulario.AGREGAR || this.esEdicion;
        };
        FormularioCRUD.prototype.mostrar = function (params) {
            this.frmDatos.reset();
            var titulo = this.accion == Constante.TipoAccionFormulario.EDITAR ? this.tituloEditar :
                this.accion == Constante.TipoAccionFormulario.AGREGAR ? this.tituloAgregar : this.tituloFormulario;
            this.modal.mostrar(titulo);
            if (this.accion == Constante.TipoAccionFormulario.AGREGAR) {
                this.accionesAgregar(params);
            }
            else if (this.accion == Constante.TipoAccionFormulario.EDITAR) {
                this.accionesEditar(params);
            }
        };
        FormularioCRUD.prototype.accionesAgregar = function (params) {
        };
        FormularioCRUD.prototype.accionesEditar = function (params) {
        };
        FormularioCRUD.prototype.regresarAlPadre = function () {
            this.router.navigate([], { relativeTo: this.route });
        };
        FormularioCRUD.prototype.ngOnDestroy = function () {
            this.subsParametros$.unsubscribe();
        };
        return FormularioCRUD;
    }());
    FormularioCRUD.decorators = [
        { type: i0.Component, args: [{ template: '' },] }
    ];
    FormularioCRUD.ctorParameters = function () { return [
        { type: router.ActivatedRoute },
        { type: router.Router }
    ]; };
    FormularioCRUD.propDecorators = {
        modal: [{ type: i0.ViewChild, args: [ModalComponent,] }],
        tituloAgregar: [{ type: i0.Input }],
        tituloEditar: [{ type: i0.Input }],
        tituloFormulario: [{ type: i0.Input }],
        finalizado: [{ type: i0.Output }]
    };

    var PageLoaderComponent = /** @class */ (function () {
        function PageLoaderComponent(router$1, srvAplicacion) {
            var _this = this;
            this.router = router$1;
            this.srvAplicacion = srvAplicacion;
            this.isSpinnerVisible = true;
            this.cargandoPagina = false;
            this.cargandoHTTP = false;
            this.router.events.subscribe(function (event) {
                switch (true) {
                    case event instanceof router.NavigationStart: {
                        _this.isSpinnerVisible = _this.cargandoPagina = true;
                        break;
                    }
                    case event instanceof router.NavigationEnd:
                    case event instanceof router.NavigationCancel:
                    case event instanceof router.NavigationError: {
                        _this.cargandoPagina = false;
                        _this.isSpinnerVisible = _this.cargandoPagina || _this.cargandoHTTP;
                        break;
                    }
                }
            }, function () {
                _this.cargandoPagina = false;
                _this.isSpinnerVisible = _this.cargandoPagina || _this.cargandoHTTP;
            });
            this.srvAplicacion.eventoMostrarProcesando.subscribe(function (mostrar) {
                _this.cargandoHTTP = mostrar;
                _this.isSpinnerVisible = _this.cargandoPagina || _this.cargandoHTTP;
            });
        }
        PageLoaderComponent.prototype.ngOnInit = function () {
        };
        return PageLoaderComponent;
    }());
    PageLoaderComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'mtc-page-loader',
                    template: "<div [@togglePageLoader]=\"isSpinnerVisible\" *ngIf=\"isSpinnerVisible\"  class=\"page-loader\">\n  <svg viewBox=\"25 25 50 50\">\n    <circle cx=\"50\" cy=\"50\" r=\"20\" fill=\"none\" stroke-width=\"2\" stroke-miterlimit=\"10\" />\n  </svg>\n</div>\n",
                    animations: [
                        animations.trigger('togglePageLoader', [
                            animations.state('true', animations.style({ transform: 'translate3d(0,0,0)' })),
                            animations.state('void', animations.style({ transform: 'translate3d(0,50px,0)' })),
                            animations.transition(':enter', animations.animate('300ms')),
                            animations.transition(':leave', animations.animate('300ms'))
                        ])
                    ],
                    styles: [".page-loader{background-color:#868e96;border-radius:4px 4px 0 0;bottom:0;color:hsla(0,0%,100%,.75);left:0;margin:auto;opacity:.5;padding:1rem 0;position:fixed;right:0;text-align:center;top:0;z-index:999999999}.page-loader svg{-webkit-animation:rotate 2s linear infinite;animation:rotate 2s linear infinite;height:50px;left:50%;margin:-25px 0 0 -25px;position:absolute;top:50%;transform-origin:center center;width:50px}.page-loader svg circle{-webkit-animation:dash 1.5s ease-in-out infinite;animation:dash 1.5s ease-in-out infinite;stroke:#ffeb3b;stroke-dasharray:1,200;stroke-dashoffset:0;stroke-linecap:round}@-webkit-keyframes rotate{to{transform:rotate(1turn)}}@keyframes rotate{to{transform:rotate(1turn)}}@-webkit-keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35px}to{stroke-dasharray:89,200;stroke-dashoffset:-124px}}@keyframes dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35px}to{stroke-dasharray:89,200;stroke-dashoffset:-124px}}"]
                },] }
    ];
    PageLoaderComponent.ctorParameters = function () { return [
        { type: router.Router },
        { type: AppService }
    ]; };

    var FooterComponent = /** @class */ (function () {
        function FooterComponent(appName) {
            this.appName = appName;
        }
        FooterComponent.prototype.ngOnInit = function () {
        };
        return FooterComponent;
    }());
    FooterComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'mtc-footer',
                    template: "<footer class=\"footer hidden-xs-down\">\n  <p>{{appName || ''}}</p>\n  <p>\u00A9 Ministerio de Transportes y Comunicaciones</p>\n</footer>\n",
                    styles: ["@charset \"UTF-8\";.footer{background-color:#fff;bottom:0;left:0;margin-top:1rem;padding:1rem 0;position:fixed;right:0;text-align:center;z-index:10}@media (max-width:1199.98px){.footer{left:0}}.footer>p{color:#9c9c9c;margin-bottom:0}.footer__nav{justify-content:center}.footer__nav .nav-link{color:#9c9c9c;transition:color .3s}.footer__nav .nav-link:focus,.footer__nav .nav-link:hover{color:#767676}.footer__nav .nav-link+.nav-link:before{color:#9c9c9c;content:\"\uF26D\";font-family:Material-Design-Iconic-Font;font-size:4px;left:-1.2rem;position:relative;top:-.2rem}"]
                },] }
    ];
    FooterComponent.ctorParameters = function () { return [
        { type: undefined, decorators: [{ type: i0.Optional }, { type: i0.Inject, args: [APP_NAME,] }] }
    ]; };

    var SidebarUserComponent = /** @class */ (function () {
        function SidebarUserComponent(/*private srvSeguridad: SeguridadService,*/ srvAplicacion, ruoter, sanitanizer) {
            this.srvAplicacion = srvAplicacion;
            this.ruoter = ruoter;
            this.sanitanizer = sanitanizer;
            this.userMenu = false;
        }
        SidebarUserComponent.prototype.ngOnInit = function () {
            this.usuario = this.srvAplicacion.usuarioSesion.codigo;
            this.nombre = this.srvAplicacion.usuarioSesion.nombre;
            this.correo = this.srvAplicacion.usuarioSesion.correo;
            if (this.srvAplicacion.usuarioSesion.imagen) {
                this.imagen = this.sanitanizer.bypassSecurityTrustResourceUrl('data:image/jpg;base64,'
                    + this.srvAplicacion.usuarioSesion.imagen);
            }
        };
        SidebarUserComponent.prototype.cerrarSesion = function () {
            // this.srvSeguridad.borrarSesion();
            this.ruoter.navigate(['login']);
        };
        return SidebarUserComponent;
    }());
    SidebarUserComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'mtc-sidebar-user',
                    template: "<div class=\"user\">\n  <div class=\"user__info\" (click)=\"userMenu = !userMenu\" [class.active]=\"userMenu\">\n    <img *ngIf=\"imagen\" class=\"user__img\" [src]=\"imagen\" alt=\"\">\n    <span *ngIf=\"!imagen\" class=\"user__icon\"><i class=\"zmdi zmdi-account-circle\"></i></span>\n    <div class=\"user__name\">{{nombre}}</div>\n    <div class=\"user__email\">{{correo}}</div>\n  </div>\n\n  <div *ngIf=\"userMenu\" [@toggleUserMenu]=\"userMenu\" class=\"user__menu\">\n    <a (click)=\"cerrarSesion()\">Cerrar Sesi\u00F3n</a>\n  </div>\n</div>\n",
                    animations: [
                        animations.trigger('toggleUserMenu', [
                            animations.state('void', animations.style({
                                height: '0',
                                opacity: '0'
                            })),
                            animations.state('true', animations.style({
                                height: '*',
                                opacity: '1'
                            })),
                            animations.transition(':enter', animations.animate('200ms ease-in')),
                            animations.transition(':leave', animations.animate('200ms ease-out'))
                        ])
                    ],
                    styles: [".user{background-color:rgba(0,0,0,.04);border-radius:2px;margin:30px 0 1.5rem}.user__info{border-radius:2px;cursor:pointer;font-size:.9rem;padding:1rem 0 1.15rem 4.5rem;position:relative;transition:background-color .3s}.user__info.active,.user__info:hover{background-color:rgba(0,0,0,.04)}.user__img{border-radius:50%;height:3rem;margin:auto;width:3rem}.user__icon,.user__img{bottom:0;left:1rem;position:absolute;top:0}.user__icon{font-size:3rem}.user__name{color:#333;font-weight:500}.user__email{color:#9c9c9c;line-height:100%;margin-top:.1rem}.user__menu>a{color:#747a80;display:block;font-weight:500;padding:.25rem 1rem .25rem 1.5rem;transition:color .3s}.user__menu>a:hover{color:#505458}.user__menu>a:first-child{padding-top:1rem}.user__menu>a:last-child{padding-bottom:1rem}"]
                },] }
    ];
    SidebarUserComponent.ctorParameters = function () { return [
        { type: AppService },
        { type: router.Router },
        { type: platformBrowser.DomSanitizer }
    ]; };

    var SidebarComponent = /** @class */ (function () {
        function SidebarComponent(srvAplicacion, router) {
            this.srvAplicacion = srvAplicacion;
            this.router = router;
            this.mainMenu = [];
        }
        SidebarComponent.prototype.hideMenu = function () {
            this.srvAplicacion.mobileSidebarActive = false;
        };
        SidebarComponent.prototype.ngOnInit = function () {
            this.mainMenu = this.srvAplicacion.usuarioSesion.opciones;
        };
        SidebarComponent.prototype.onClickItem = function (item) {
            if (item.onClickDefault === undefined || item.onClickDefault === null) {
                item.onClickDefault = true;
            }
            if (item.onClick) {
                item.onClick(item);
                if (item.onClickDefault === false) {
                    return;
                }
            }
            this.router.navigate([item.direccionOpcion], { queryParams: item.direccionParametros });
            this.hideMenu();
        };
        return SidebarComponent;
    }());
    SidebarComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'mtc-sidebar',
                    template: "<ng-scrollbar shown=\"hover\" compact=\"true\">\n  <mtc-sidebar-user></mtc-sidebar-user>\n\n  <ul class=\"navigation\">\n    <ng-container *ngTemplateOutlet=\"tplMenu; context:{ $implicit: mainMenu }\"></ng-container>\n  </ul>\n</ng-scrollbar>\n\n<ng-template #tplMenu let-listaMenu>\n  <li *ngFor=\"let menu of listaMenu\" [routerLink]=\"menu.direccionOpcion\" routerLinkActive=\"navigation__active\">\n    <!-- menu  -->\n    <a *ngIf=\"!menu.subOpciones || menu.subOpciones.length == 0\" (click)=\"onClickItem(menu)\">\n      <i [ngClass]=\"'zmdi zmdi-' + menu.imagen\"></i> {{ menu.nombreOpcion }}\n    </a>\n\n    <!-- Sub Menu -->\n    <a *ngIf=\"menu.subOpciones && menu.subOpciones.length > 0\" (click)=\"menu.visible = !(menu.visible === true)\">\n      <i [ngClass]=\"'zmdi zmdi-' + menu.imagen\"></i> {{ menu.nombreOpcion }}\n    </a>\n\n    <ul *ngIf=\"menu.subOpciones && menu.subOpciones.length > 0\" class=\"navigation pl-3\" [@toggleSubMenu]=\"menu.visible\">\n      <ng-container *ngTemplateOutlet=\"tplMenu; context:{ $implicit: menu.subOpciones }\"></ng-container>\n    </ul>\n  </li>\n</ng-template>\n",
                    host: {
                        'class': 'sidebar'
                    },
                    animations: [
                        animations.trigger('toggleSubMenu', [
                            animations.state('false', animations.style({
                                height: '0',
                                opacity: '0'
                            })),
                            animations.state('true', animations.style({
                                height: '*',
                                opacity: '1'
                            })),
                            animations.transition('false => true', animations.animate('200ms ease-in')),
                            animations.transition('true => false', animations.animate('200ms ease-out'))
                        ])
                    ],
                    styles: ["@charset \"UTF-8\";:host{background-color:#fff;height:100%;left:0;overflow:hidden;padding:72px .5rem .5rem 1rem;position:fixed;transition:transform .3s,opacity .3s;width:350px;z-index:19}:host:not(.toggled){opacity:0;transform:translate3d(-100%,0,0)}:host.toggled{box-shadow:5px 0 10px rgba(0,0,0,.08);opacity:1;transform:translateZ(0)}.sidebar--hidden{transition:transform .3s,opacity .3s}.sidebar--hidden:not(.toggled){opacity:0;transform:translate3d(-100%,0,0)}.sidebar--hidden.toggled{box-shadow:5px 0 10px rgba(0,0,0,.08);opacity:1;transform:translateZ(0)}.navigation{list-style:none;padding:0}.navigation li a{display:block;font-weight:500;transition:background-color .3s,color .3s}.navigation li:not(.navigation__active) a{color:#747a80}.navigation li:not(.navigation__active) a:hover{background-color:rgba(0,0,0,.04);color:#5c6165}.navigation>li>a{border-radius:2px;padding:.85rem .5rem;position:relative}.navigation>li>a>i{font-size:1.3rem;margin-right:.6rem;position:relative;text-align:center;top:.1rem;vertical-align:top;width:1.5rem}.navigation__sub>ul{border-radius:2px;list-style:none;overflow:hidden;padding:0 0 0 2rem}.navigation__sub>ul>li>a{padding:.6rem 1rem .6rem 0}.navigation__sub>ul>li:last-child{padding-bottom:.8rem}.navigation__sub .navigation__active{position:relative}.navigation__sub .navigation__active:before{content:\"\uF26D\";font-family:Material-Design-Iconic-Font;font-size:6px;left:1rem;position:absolute;top:1.1rem}"]
                },] }
    ];
    SidebarComponent.ctorParameters = function () { return [
        { type: AppService },
        { type: router.Router }
    ]; };

    var NavigationTriggerComponent = /** @class */ (function () {
        function NavigationTriggerComponent(service) {
            this.service = service;
        }
        NavigationTriggerComponent.prototype.openMobileSidebar = function () {
            this.service.mobileSidebarActive = !this.service.mobileSidebarActive;
        };
        NavigationTriggerComponent.prototype.ngOnInit = function () {
        };
        return NavigationTriggerComponent;
    }());
    NavigationTriggerComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'mtc-navigation-trigger',
                    template: "<div class=\"navigation-trigger\" (click)=\"openMobileSidebar()\" [class.toggled]=\"service.mobileSidebarActive\">\n  <div class=\"navigation-trigger__inner\">\n    <i class=\"navigation-trigger__line\"></i>\n    <i class=\"navigation-trigger__line\"></i>\n    <i class=\"navigation-trigger__line\"></i>\n  </div>\n</div>\n",
                    styles: [".navigation-trigger{cursor:pointer;float:left;margin-left:-2rem;padding:2rem 2rem 2rem 2.4rem}.navigation-trigger.toggled .navigation-trigger__inner{transform:rotate(180deg)}.navigation-trigger.toggled .navigation-trigger__inner:before{transform:scale(1)}.navigation-trigger.toggled .navigation-trigger__line:first-child{transform:translateX(8px) translateY(1px) rotate(45deg);width:12px}.navigation-trigger.toggled .navigation-trigger__line:last-child{transform:translateX(8px) translateY(-1px) rotate(-45deg);width:11px}.navigation-trigger__inner,.navigation-trigger__line{transition:all .3s;width:18px}.navigation-trigger__inner{position:relative}.navigation-trigger__inner:before{background-color:hsla(0,0%,100%,.25);border-radius:50%;content:\"\";height:40px;left:-11px;position:absolute;top:-14px;transform:scale(0);transition:all .3s;width:40px}.navigation-trigger__line{background-color:#fff;display:block;height:2px;position:relative}.navigation-trigger__line:not(:last-child){margin-bottom:3px}"]
                },] }
    ];
    NavigationTriggerComponent.ctorParameters = function () { return [
        { type: AppService }
    ]; };

    var HeaderComponent = /** @class */ (function () {
        function HeaderComponent(service) {
            this.service = service;
            this.mobileSearchActive = false;
            // Retrieve current theme from AppService
            this.maCurrentTheme = service.maTheme;
            // App shortcut data
            this.appShortcuts = [
                {
                    appTitle: 'Calendar',
                    className: 'bg-red',
                    icon: 'zmdi-calendar'
                },
                {
                    appTitle: 'Files',
                    className: 'bg-blue',
                    icon: 'zmdi-file-text'
                },
                {
                    appTitle: 'Email',
                    className: 'bg-teal',
                    icon: 'zmdi-email'
                },
                {
                    appTitle: 'Reports',
                    className: 'bg-blue-grey',
                    icon: 'zmdi-trending-up'
                },
                {
                    appTitle: 'News',
                    className: 'bg-orange',
                    icon: 'zmdi-view-headline'
                },
                {
                    appTitle: 'Gallery',
                    className: 'bg-light-green',
                    icon: 'zmdi-image'
                }
            ];
            // Available themes
            this.maThemes = [
                'green',
                'blue',
                'red',
                'teal',
                'cyan',
                'blue-grey',
                'purple',
                'indigo'
            ];
            // Tasks
            this.tasks = [
                {
                    name: 'HTML5 Validation Report',
                    completed: 95,
                    color: 'primary'
                },
                {
                    name: 'Google Chrome Extension',
                    completed: '80',
                    color: 'success'
                },
                {
                    name: 'Social Intranet Project',
                    completed: '20',
                    color: 'warning'
                },
                {
                    name: 'Bootstrap Admin Template',
                    completed: '60',
                    color: 'danger'
                },
                {
                    name: 'Youtube Client App',
                    completed: '80',
                    color: 'info'
                }
            ];
            // Notifications + Messages
            this.notifications = [
                {
                    image: '1.jpg',
                    user: 'David Belle',
                    content: 'Cum sociis natoque penatibus et magnis dis parturient montes',
                    date: '12:01 PM'
                },
                {
                    image: '2.jpg',
                    user: 'Jonathan Morris',
                    content: 'Nunc quis diam diamurabitur at dolor elementum, dictum turpis vel',
                    date: '02:45 PM'
                },
                {
                    image: '6.jpg',
                    user: 'Fredric Mitchell Jr.',
                    content: 'Phasellus a ante et est ornare accumsan at vel magnauis blandit turpis at augue ultricies',
                    date: '08:21 PM'
                },
                {
                    image: '4.jpg',
                    user: 'Glenn Jecobs',
                    content: 'Ut vitae lacus sem ellentesque maximus, nunc sit amet varius dignissim, dui est consectetur neque',
                    date: '08:43 PM'
                },
                {
                    image: '5.jpg',
                    user: 'Bill Phillips',
                    content: 'Proin laoreet commodo eros id faucibus. Donec ligula quam, imperdiet vel ante placerat',
                    date: '11:32 PM'
                }
            ];
        }
        // Set theme
        HeaderComponent.prototype.setMaTheme = function () {
            this.service.maTheme = this.maCurrentTheme;
        };
        HeaderComponent.prototype.ngOnInit = function () {
        };
        return HeaderComponent;
    }());
    HeaderComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'mtc-header',
                    template: "<header class=\"header\">\n  <mtc-navigation-trigger></mtc-navigation-trigger>\n  <mtc-header-logo></mtc-header-logo>\n</header>\n",
                    styles: [".header{align-items:center;box-shadow:0 5px 5px -3px rgba(0,0,0,.15);color:#fff;display:flex;height:72px;left:0;padding:0 1rem 0 2rem;position:fixed;top:0;transition:background-color .3s;width:100%;z-index:20}.header:after{clear:both;content:\"\";display:block}.header .ma-backdrop{position:absolute}.top-nav{list-style:none;margin:0 0 0 auto;padding:0}.top-nav>li{display:inline-block;vertical-align:middle}.top-nav>li>a{border-radius:2px;color:#fff;display:block;line-height:100%;position:relative;text-align:center;transition:background-color .3s}@media (prefers-reduced-motion:reduce){.top-nav>li>a{transition:none}}.top-nav>li>a:not(.header__nav__text){min-width:50px;padding:.5rem .15rem}.top-nav>li>a:not(.header__nav__text)>.zmdi{font-size:1.65rem;line-height:100%}.top-nav>li.open>a,.top-nav>li:hover>a{background-color:hsla(0,0%,100%,.2)}.top-nav>li .dropdown-menu--block{padding:0}@media (max-width:575.98px){.top-nav>li{position:static}.top-nav>li .dropdown-menu--block{left:20px;top:62px;width:calc(100% - 40px)}}.top-nav__notify:before{-webkit-animation-duration:2s;-webkit-animation-fill-mode:both;-webkit-animation-iteration-count:infinite;-webkit-animation-name:flash;animation-duration:2s;animation-fill-mode:both;animation-iteration-count:infinite;animation-name:flash;background-color:#ec272c;border-radius:50%;color:#fff;content:\"\";height:7px;left:0;margin:auto;position:absolute;right:0;top:-3px;width:7px}.app-shortcuts{margin:0;padding:1rem}.app-shortcuts__item{border-radius:2px;overflow:hidden;padding:1rem 0;position:relative;text-align:center;transition:background-color .3s}.app-shortcuts__item:hover>small{color:#fff}.app-shortcuts__item:hover>i{background-color:hsla(0,0%,100%,.15)}.app-shortcuts__item:hover .app-shortcuts__helper{transform:scale(3.5)}.app-shortcuts__item>i{border-radius:50%;color:#fff;font-size:1.5rem;height:45px;line-height:45px;transition:background-color .5s;width:45px}.app-shortcuts__item>small{color:#9c9c9c;display:block;font-size:.95rem;margin-top:.5rem;transition:color .5s}.app-shortcuts__helper{-webkit-backface-visibility:hidden;backface-visibility:hidden;border-radius:50%;height:45px;left:0;margin:auto;position:absolute;right:0;top:13px;transition:transform .5s;width:45px;z-index:-1}.top-menu{box-shadow:0 5px 5px -3px rgba(0,0,0,.15);left:0;list-style:none;padding:0 1rem .5rem;position:absolute;text-align:center;top:100%;width:100%}.top-menu>li{display:inline-block}.top-menu>li.active{box-shadow:0 0 0 -2px red;position:relative}.top-menu>li>a{color:hsla(0,0%,100%,.65);display:block;font-weight:500;line-height:100%;padding:1rem;text-transform:uppercase;transition:color .3s}.top-menu>li.active>a,.top-menu>li>a:hover{color:#fff}"]
                },] }
    ];
    HeaderComponent.ctorParameters = function () { return [
        { type: AppService }
    ]; };

    var Layout1Component = /** @class */ (function () {
        function Layout1Component(service) {
            this.service = service;
            this.maTheme = this.service.maTheme;
        }
        Layout1Component.prototype.ngOnInit = function () {
        };
        return Layout1Component;
    }());
    Layout1Component.decorators = [
        { type: i0.Component, args: [{
                    selector: 'mtc-layout1',
                    template: "<main class=\"main\" [attr.data-ma-theme]=\"service.maTheme\">\n  <mtc-header></mtc-header>\n  <mtc-sidebar [class.toggled]=\"service.mobileSidebarActive\"></mtc-sidebar>\n  <section class=\"content\">\n    <router-outlet></router-outlet>\n    <router-outlet name=\"modal\"></router-outlet>\n    <mtc-footer></mtc-footer>\n    <div *ngIf=\"service.mobileSidebarActive\" (click)=\"service.mobileSidebarActive = false\" class=\"sidebar-backdrop\"></div>\n  </section>\n\n  <mtc-page-loader></mtc-page-loader>\n</main>\n",
                    styles: [".sidebar-backdrop{background-color:rgba(0,0,0,.27058823529411763);cursor:pointer;height:100%;left:0;position:fixed;top:0;width:100%;z-index:18}"]
                },] }
    ];
    Layout1Component.ctorParameters = function () { return [
        { type: AppService }
    ]; };

    var Layout2Component = /** @class */ (function () {
        function Layout2Component() {
        }
        Layout2Component.prototype.ngOnInit = function () {
        };
        return Layout2Component;
    }());
    Layout2Component.decorators = [
        { type: i0.Component, args: [{
                    selector: 'mtc-layout2',
                    template: "<router-outlet></router-outlet>\n<mtc-page-loader></mtc-page-loader>\n",
                    styles: [""]
                },] }
    ];
    Layout2Component.ctorParameters = function () { return []; };

    var ButtonComponent = /** @class */ (function () {
        function ButtonComponent() {
            this.type = 'button';
            this.block = false;
            this.outline = false;
            this.disabled = false;
        }
        ButtonComponent.prototype.ngOnInit = function () {
        };
        return ButtonComponent;
    }());
    ButtonComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'mtc-button',
                    template: "<button [type]=\"type\"\n        class=\"btn btn{{outline ? '-outline-' : '-'}}{{color}} {{size ? ('btn-' + size) : ''}}\"\n        [class.btn-block]=\"block\" [disabled]=\"disabled\" [tooltip]=\"tooltip\">\n  <i *ngIf=\"icon\" class=\"zmdi zmdi-{{icon}}\"></i> {{label}}\n</button>\n",
                    styles: [""]
                },] }
    ];
    ButtonComponent.ctorParameters = function () { return []; };
    ButtonComponent.propDecorators = {
        color: [{ type: i0.Input }],
        size: [{ type: i0.Input }],
        icon: [{ type: i0.Input }],
        type: [{ type: i0.Input }],
        block: [{ type: i0.Input }],
        outline: [{ type: i0.Input }],
        disabled: [{ type: i0.Input }],
        label: [{ type: i0.Input }],
        tooltip: [{ type: i0.Input }]
    };

    var CardComponent = /** @class */ (function () {
        function CardComponent() {
        }
        CardComponent.prototype.ngOnInit = function () {
        };
        return CardComponent;
    }());
    CardComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'mtc-card',
                    template: "<div class=\"card-mtc\">\n  <div class=\"actions\">\n    <div class=\"btn-group\">\n      <ng-content select=\"actions\"></ng-content>\n    </div>\n  </div>\n  <div class=\"card-header\">\n    <h6>{{title}}</h6>\n  </div>\n  <div class=\"card-body\">\n    <ng-content select=\"body\"></ng-content>\n  </div>\n</div>\n",
                    styles: [".card-mtc{border-top:3px solid var(--primary)!important}"]
                },] }
    ];
    CardComponent.ctorParameters = function () { return []; };
    CardComponent.propDecorators = {
        title: [{ type: i0.Input }]
    };

    var ControlTextareaComponent = /** @class */ (function (_super) {
        __extends(ControlTextareaComponent, _super);
        function ControlTextareaComponent(ngControl) {
            var _this = _super.call(this, ngControl) || this;
            _this.ngControl = ngControl;
            return _this;
        }
        ControlTextareaComponent.prototype.onInput = function ($event) {
            this.elevarCambio($event.target.value);
        };
        return ControlTextareaComponent;
    }(ControlInputComponent));
    ControlTextareaComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'mtc-control-textarea',
                    template: "<mtc-control [etiqueta]=\"etiqueta\" [isTextarea]=\"true\">\n  <textarea #ctrl [ngClass]=\"{'form-control--active': inicializado && ctrl.value}\"\n            mtcInputFloat\n            class=\"form-control {{class}} textarea\" (input)=\"onInput($event)\" [readOnly]=\"readonly\"\n            [disabled]=\"disabled\"></textarea>\n</mtc-control>\n",
                    styles: [""]
                },] }
    ];
    ControlTextareaComponent.ctorParameters = function () { return [
        { type: forms.NgControl }
    ]; };

    var EditorSqlComponent = /** @class */ (function () {
        function EditorSqlComponent(srvApplication) {
            this.srvApplication = srvApplication;
            this.endpoint = 'api/Sql/Query';
            this.mostrarExportar = true;
            this.mostrarCargando = false;
            this.onQuery = new i0.EventEmitter();
            this.form = new forms.FormGroup({
                query: new forms.FormControl(null, [forms.Validators.required])
            });
            /*this.queryResult = {
              'exito': true, 'mostrarAdvertencia': false, 'contenido': {
                'columns': [ 'ID_PARAMETRO', 'CODIGO_IDENTIFICACION', 'NOMBRE', 'ESTADO_REGISTRO', 'USUARIO_CREACION', 'FECHA_CREACION', 'TERMINAL_CREACION', 'USUARIO_MODIFICACION', 'FECHA_MODIFICACION', 'TERMINAL_MODIFICACION' ],
                'data': [ [ 1, 'CCTA', 'Clase de Cuenta', '1', 1, '2019-10-22T13:06:00', '127.0.0.1', null, null, null ], [ 2, 'TCTA', 'Tipo de Cuenta', '1', 1, '2019-10-22T13:06:00', '127.0.0.1', null, null, null ], [ 3, 'FDEC', 'Frecuencia de Declaración', '1', 1, '2019-10-22T13:06:00', '127.0.0.1', null, null, null ], [ 4, 'OFIC', 'Oficinas', '1', 1, '2020-01-09T13:29:12', '127.0.0.1', null, null, null ], [ 5, 'ESTOC', 'Estado de Operación de Crédito', '1', 1, '2020-01-09T13:29:12', '127.0.0.1', null, null, null ], [ 6, 'UORG', 'Unidad Orgánica', '1', 1, '2020-02-04T14:50:09', '127.0.0.1', null, null, null ], [ 7, 'TDOC', 'Tipo de Documento', '1', 1, '2020-02-04T14:50:09', '127.0.0.1', null, null, null ], [ 8, 'TOFI', 'Tipo de Oficio', '1', 1, '2020-02-04T14:50:09', '127.0.0.1', null, null, null ], [ 9, 'ESCOB', 'Estado de Cobranza', '1', 1, '2021-02-03T23:40:02', '127.0.0.1', null, null, null ] ],
                'affectedRows': 0
              }, 'mensaje': null, 'mensajeError': null, 'rastroError': null, 'total': 0
            }.contenido;*/
        }
        EditorSqlComponent.prototype.ngOnInit = function () {
        };
        EditorSqlComponent.prototype.ejecutarConsulta = function () {
            var _this = this;
            if (!this.form.validate()) {
                this.srvApplication.mostrarError({ mensaje: 'Debe escribir la consulta' });
                return;
            }
            var query = this.form.get('query').value;
            this.error = null;
            this.onQuery.emit(query);
            this.srvApplication.consultar({
                datos: { query: query },
                tipo: 'post',
                url: this.endpoint,
                mostrarMensajeError: false,
                mostrarCargando: this.mostrarCargando
            }).subscribe(function (x) {
                if (x.exito) {
                    _this.queryResult = x.contenido;
                }
                else {
                    _this.error = x.mensajeError;
                    _this.queryResult = null;
                }
            });
        };
        EditorSqlComponent.prototype.limpiar = function () {
            this.queryResult = null;
            this.form.get('query').setValue(null);
        };
        EditorSqlComponent.prototype.exportar = function () {
            var data = 'data:text/csv;charset=utf-8,';
            data = data.concat(this.queryResult.columns.join(','))
                .concat('\n')
                .concat(this.queryResult.data.map(function (r) { return r.join(','); }).join('\n'));
            var encodedUri = encodeURI(data);
            var link = document.createElement('a');
            link.href = encodedUri;
            link.download = 'data.csv';
            document.body.appendChild(link);
            link.click();
            document.body.removeChild(link);
        };
        return EditorSqlComponent;
    }());
    EditorSqlComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'mtc-editor-sql',
                    template: "<div class=\"content__inner\">\n  <div class=\"card-mtc\">\n    <div class=\"card-body\">\n      <form [formGroup]=\"form\">\n        <div class=\"mb-2 mt-4\">\n          <mtc-button (click)=\"ejecutarConsulta()\" color=\"success\" icon=\"play\" label=\"Ejecutar\"\n                      class=\"mr-2\"></mtc-button>\n          <mtc-button (click)=\"limpiar()\" color=\"danger\" [outline]=\"true\" icon=\"close\" label=\"Limpiar\"></mtc-button>\n        </div>\n        <div class=\"form-group\">\n          <textarea class=\"form-control code-editor\" formControlName=\"query\" name=\"query\"\n                    id=\"query\" cols=\"100\" rows=\"10\" placeholder=\"SELECT * FROM table_name\"></textarea>\n        </div>\n      </form>\n      <div class=\"alert alert-danger\" role=\"alert\" *ngIf=\"error\">\n        <h4 class=\"alert-heading\">Ocurri\u00F3 un error</h4>\n        <p></p>\n        <p class=\"mb-0\">{{error}}</p>\n      </div>\n      <div class=\"alert alert-success\" role=\"alert\" *ngIf=\"queryResult && queryResult.affectedRows > 0\">\n        <h4 class=\"alert-heading\">Resultado</h4>\n        <p></p>\n        <p class=\"mb-0\">Se actualizaron {{queryResult.affectedRows}} registros</p>\n      </div>\n    </div>\n  </div>\n  <div class=\"card-mtc\" *ngIf=\"queryResult && queryResult.affectedRows === 0\">\n    <div class=\"card-header d-flex justify-content-between\">\n      <p>{{queryResult.data.length | number}} resultados</p>\n      <div>\n        <mtc-button icon=\"download\" color=\"primary\" size=\"sm\" tooltip=\"Exportar\" (click)=\"exportar()\" *ngIf=\"mostrarExportar\"></mtc-button>\n      </div>\n    </div>\n    <div class=\"card-body px-0\">\n      <div class=\"table-responsive\">\n        <cdk-virtual-scroll-viewport itemSize=\"30\" style=\"height: 400px\">\n          <table class=\"table table-sm table-hover table-bordered sql-editor-table\">\n            <thead class=\"table-info\">\n            <tr>\n              <th class=\"text-right\">#</th>\n              <th *ngFor=\"let c of queryResult.columns\">{{c}}</th>\n            </tr>\n            </thead>\n            <tbody>\n            <tr *cdkVirtualFor=\"let r of queryResult.data; let i=index\">\n              <td class=\"table-info text-right\">{{i + 1}}</td>\n              <td *ngFor=\"let v of r\">\n                <span *ngIf=\"v===null\"><code>null</code></span>\n                <span *ngIf=\"v!==null\">{{v}}</span>\n              </td>\n            </tr>\n            </tbody>\n          </table>\n        </cdk-virtual-scroll-viewport>\n      </div>\n    </div>\n  </div>\n</div>\n",
                    styles: [".table{color:#212529}.table-info{background-color:#bee5eb}.table-bordered,.table-bordered td,.table-bordered th{border:1px solid #dee2e6}.table-sm td,.table-sm th{padding:.3rem}.table-hover tbody tr:hover{background-color:#f2f4f5;color:#212529}.sql-editor-table td{white-space:nowrap}.code-editor{background-color:#eae7e7;color:#000;font-family:monospace}"]
                },] }
    ];
    EditorSqlComponent.ctorParameters = function () { return [
        { type: AppService }
    ]; };
    EditorSqlComponent.propDecorators = {
        endpoint: [{ type: i0.Input }],
        mostrarExportar: [{ type: i0.Input }],
        mostrarCargando: [{ type: i0.Input }],
        onQuery: [{ type: i0.Output }]
    };

    var PageMantenimientoComponent = /** @class */ (function () {
        function PageMantenimientoComponent() {
            this.buttonText = 'Reintentar';
            this.onButtonClick = new i0.EventEmitter();
        }
        PageMantenimientoComponent.prototype.ngOnInit = function () {
        };
        PageMantenimientoComponent.prototype.onClick = function () {
            this.onButtonClick.emit();
        };
        return PageMantenimientoComponent;
    }());
    PageMantenimientoComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'mtc-page-mantenimiento',
                    template: "<h1 class=\"text-center\">SISTEMA EN MANTENIMIENTO</h1>\n<h5 class=\"font-weight-normal text-black-50 text-center\">EL SISTEMA SE ENCUENTRA TEMPORALMENTE FUERA DE SERVICIO POR TRABAJOS DE MANTENIMIENTO</h5>\n<div class=\"d-flex justify-content-center my-3\">\n  <img *ngIf=\"imgPath\" [src]=\"imgPath\" alt=\"mantenimiento\" style=\"max-height: 250px\">\n</div>\n<p class=\"text-center\">Por favor, vuelva en unos minutos</p>\n<div class=\"text-center\">\n  <mtc-button [label]=\"buttonText\" color=\"primary\" (click)=\"onClick()\"></mtc-button>\n</div>\n",
                    styles: [""]
                },] }
    ];
    PageMantenimientoComponent.ctorParameters = function () { return []; };
    PageMantenimientoComponent.propDecorators = {
        imgPath: [{ type: i0.Input }],
        buttonText: [{ type: i0.Input }],
        onButtonClick: [{ type: i0.Output }]
    };

    var FormMantenimientoComponent = /** @class */ (function () {
        function FormMantenimientoComponent() {
            this.onSubmit = new i0.EventEmitter();
            this.frmDatos = new forms.FormGroup({
                codigo: new forms.FormControl(null, [forms.Validators.required]),
                contrasenia: new forms.FormControl(null, [forms.Validators.required]),
                contrasenia2: new forms.FormControl(null, [forms.Validators.required]),
                enMantenimiento: new forms.FormControl(false),
            });
        }
        FormMantenimientoComponent.prototype.ngOnInit = function () {
        };
        FormMantenimientoComponent.prototype.actualizar = function () {
            if (this.frmDatos.invalid) {
                return;
            }
            this.onSubmit.emit(this.frmDatos.value);
        };
        return FormMantenimientoComponent;
    }());
    FormMantenimientoComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'mtc-form-mantenimiento',
                    template: "<div class=\"login\">\n  <div class=\"login__block\">\n    <div class=\"login__header bg-primary\">\n      <mtc-logo [fuild]=\"true\"></mtc-logo>\n      Inicie sesi\u00F3n para continuar ...\n    </div>\n\n    <div class=\"login__body\">\n      <form [formGroup]=\"frmDatos\">\n        <mtc-control etiqueta=\"C\u00F3digo de usuario\">\n          <input formControlName=\"codigo\" mtcInputFloat (keydown.enter)=\"actualizar()\">\n        </mtc-control>\n        <mtc-control etiqueta=\"Contrase\u00F1a\">\n          <input type=\"password\" formControlName=\"contrasenia\" mtcInputFloat (keydown.enter)=\"actualizar()\">\n        </mtc-control>\n        <mtc-control-password etiqueta=\"Pass\" formControlName=\"contrasenia2\" (keydown.enter)=\"actualizar()\"></mtc-control-password>\n        <mtc-control-switch etiqueta=\"Sistema en mantenimiento\" formControlName=\"enMantenimiento\"></mtc-control-switch>\n      </form>\n    </div>\n    <div class=\"login__footer mt-4\">\n      <mtc-button label=\"Actualizar\" (click)=\"actualizar()\" icon=\"check\" color=\"primary\"></mtc-button>\n    </div>\n  </div>\n</div>\n",
                    styles: [".login{align-items:start;display:flex}"]
                },] }
    ];
    FormMantenimientoComponent.ctorParameters = function () { return []; };
    FormMantenimientoComponent.propDecorators = {
        onSubmit: [{ type: i0.Output }]
    };

    var HeaderLogoComponent = /** @class */ (function () {
        function HeaderLogoComponent(headerData) {
            this.headerData = headerData;
        }
        HeaderLogoComponent.prototype.ngOnInit = function () {
        };
        return HeaderLogoComponent;
    }());
    HeaderLogoComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'mtc-header-logo',
                    template: "<div class=\"header__logo\">\n  <h1>\n    <a routerLink=\"/\">\n      <mtc-logo></mtc-logo>\n      <span class=\"pl-4 hidden-md-down\">{{headerData.title}}</span>\n      <span class=\"pl-4 hidden-lg-up\">{{headerData.abbr}}</span>\n    </a>\n  </h1>\n</div>\n",
                    styles: ["@media (min-width:1200px){.header__logo{min-width:calc(350px - 2rem)}}.header__logo>h1{font-size:1.3rem;font-weight:400;line-height:100%;margin:0}.header__logo>h1>a{color:#fff}"]
                },] }
    ];
    HeaderLogoComponent.ctorParameters = function () { return [
        { type: undefined, decorators: [{ type: i0.Optional }, { type: i0.Inject, args: [HEADER_DATA,] }] }
    ]; };

    var LogoComponent = /** @class */ (function () {
        function LogoComponent(headerData) {
            this.fuild = false;
            this.width = 250;
            this.headerData = headerData;
        }
        Object.defineProperty(LogoComponent.prototype, "imgWidth", {
            get: function () {
                if (this.fuild)
                    return '';
                return this.width ? this.width + "px" : '';
            },
            enumerable: false,
            configurable: true
        });
        LogoComponent.prototype.ngOnInit = function () {
        };
        return LogoComponent;
    }());
    LogoComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'mtc-logo',
                    template: "<img *ngIf=\"headerData.logoPath\"\n     class=\"hidden-sm-down\"\n     [class.img-fluid]=\"fuild\"\n     [src]=\"headerData.logoPath\"\n     [style]=\"{width:imgWidth}\"\n     alt=\"\"/>\n",
                    styles: [""]
                },] }
    ];
    LogoComponent.ctorParameters = function () { return [
        { type: undefined, decorators: [{ type: i0.Optional }, { type: i0.Inject, args: [HEADER_DATA,] }] }
    ]; };
    LogoComponent.propDecorators = {
        fuild: [{ type: i0.Input }],
        width: [{ type: i0.Input }]
    };

    var ControlPasswordComponent = /** @class */ (function (_super) {
        __extends(ControlPasswordComponent, _super);
        function ControlPasswordComponent(ngControl) {
            var _this = _super.call(this, ngControl) || this;
            _this.ngControl = ngControl;
            _this.visible = false;
            return _this;
        }
        ControlPasswordComponent.prototype.onInput = function ($event) {
            this.elevarCambio($event.target.value);
        };
        ControlPasswordComponent.prototype.toggleVisibility = function () {
            this.visible = !this.visible;
        };
        return ControlPasswordComponent;
    }(ControlInputComponent));
    ControlPasswordComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'mtc-control-password',
                    template: "<mtc-control [etiqueta]=\"etiqueta\">\n  <input [type]=\"visible ? 'text' : 'password'\" #ctrl [ngClass]=\"{'form-control--active': inicializado && ctrl.value}\"\n         class=\"form-control {{class}}\" (input)=\"onInput($event)\" [readOnly]=\"readonly\"\n         [disabled]=\"disabled\">\n  <i class=\"zmdi icon-eye\" *ngIf=\"ctrl.value\" [ngClass]=\"{'zmdi-eye-off': visible, 'zmdi-eye': !visible}\" (click)=\"toggleVisibility()\"></i>\n</mtc-control>\n",
                    styles: [".icon-eye{font-size:1.2rem;position:absolute;right:0;top:.875rem}.icon-eye:hover{cursor:pointer}"]
                },] }
    ];
    ControlPasswordComponent.ctorParameters = function () { return [
        { type: forms.NgControl }
    ]; };

    var URL_SW = new i0.InjectionToken('url_sw');
    var URI_WEBSOCKET = new i0.InjectionToken('uri_websocket');
    var APP_NAME = new i0.InjectionToken('app_name');
    var HEADER_DATA = new i0.InjectionToken('header_data');
    var NgMtcUiModule = /** @class */ (function () {
        function NgMtcUiModule() {
        }
        return NgMtcUiModule;
    }());
    NgMtcUiModule.decorators = [
        { type: i0.NgModule, args: [{
                    declarations: [
                        UiComponent,
                        DataTableComponent,
                        ModalComponent,
                        BandejaCrudComponent,
                        ControlComponent,
                        ControlBusquedaComponent,
                        InputFloatDirective,
                        FloatTextDirective,
                        ControlCajaComponent,
                        ControlInputComponent,
                        ControlFechaComponent,
                        ControlListaComponent,
                        ControlMascaraComponent,
                        ControlNumericoComponent,
                        ControlSwitchComponent,
                        BandejaCRUD,
                        FormularioCRUD,
                        PageLoaderComponent,
                        FooterComponent,
                        HeaderLogoComponent,
                        SidebarUserComponent,
                        SidebarComponent,
                        NavigationTriggerComponent,
                        HeaderComponent,
                        Layout1Component,
                        Layout2Component,
                        ButtonComponent,
                        CardComponent,
                        ControlTextareaComponent,
                        EditorSqlComponent,
                        PageMantenimientoComponent,
                        FormMantenimientoComponent,
                        LogoComponent,
                        ControlPasswordComponent,
                    ],
                    imports: [
                        common.CommonModule,
                        forms.FormsModule,
                        forms.ReactiveFormsModule,
                        ngBootstrap.NgbModule,
                        ngxMask.NgxMaskModule.forRoot({}),
                        router.RouterModule,
                        ngxScrollbar.NgScrollbarModule,
                        ngbModalDraggable.NgbModalDraggableModule,
                        scrolling.ScrollingModule,
                        tooltip.TooltipModule.forRoot()
                    ],
                    exports: [
                        ngBootstrap.NgbModule,
                        ngxScrollbar.NgScrollbarModule,
                        UiComponent,
                        DataTableComponent,
                        ModalComponent,
                        BandejaCrudComponent,
                        ControlComponent,
                        ControlBusquedaComponent,
                        ControlCajaComponent,
                        ControlFechaComponent,
                        ControlListaComponent,
                        ControlMascaraComponent,
                        ControlNumericoComponent,
                        ControlSwitchComponent,
                        BandejaCRUD,
                        FormularioCRUD,
                        PageLoaderComponent,
                        FooterComponent,
                        HeaderLogoComponent,
                        SidebarComponent,
                        NavigationTriggerComponent,
                        HeaderComponent,
                        Layout1Component,
                        Layout2Component,
                        ButtonComponent,
                        InputFloatDirective,
                        FloatTextDirective,
                        CardComponent,
                        ControlTextareaComponent,
                        EditorSqlComponent,
                        PageMantenimientoComponent,
                        FormMantenimientoComponent,
                        LogoComponent,
                        ControlPasswordComponent,
                    ]
                },] }
    ];

    var AppService = /** @class */ (function () {
        function AppService(http, urlSW) {
            this.http = http;
            this.usuarioSesion = {};
            // Default theme
            this.maTheme = 'red';
            // Mobile sidebar state
            this.mobileSidebarActive = false;
            // Contacts
            this.contactsItems = [];
            // Todolists
            this.todoLists = [];
            this.todoListActions = [];
            this.procesosCargando = 0;
            this.eventoMostrarProcesando = new i0.EventEmitter();
            this.urlSW = urlSW;
            console.log(urlSW);
        }
        AppService.prototype.ejecutar = function (peticion) {
            var _this = this;
            var obs;
            peticion.mostrarMensajeError = !(peticion.mostrarMensajeError === false);
            if (peticion.mostrarCargando) {
                this.mostrarCargando();
            }
            var url = this.urlSW + peticion.url;
            // console.log('url: ', peticion.url);
            if (peticion.tipo === 'get') {
                obs = this.http.get(url);
            }
            else {
                obs = this.http.post(url, peticion.datos);
            }
            return obs.pipe(operators.tap(function (x) {
                if (peticion.mostrarCargando) {
                    _this.mostrarCargando(false);
                }
                if (x && x.exito && peticion.mostrarMensajeExito) {
                    // this.toastyService.success({ title: '', msg: '¡Proceso realizado exitosamente!', theme:'default' });
                    _this.mostrarExitoToast({ mensaje: '¡Proceso realizado exitosamente!', titulo: '' });
                }
                if (peticion.mostrarMensajeError && (!x || !(x.exito === true))) {
                    if (x.mostrarAdvertencia) {
                        _this.mostrarAdvertencia({ mensaje: x.mensaje });
                    }
                    else {
                        _this.mostrarError({ mensaje: '¡Ocurrió un error ejecutando el proceso!' });
                    }
                }
            }), operators.catchError(function (e, x) {
                if (peticion.mostrarCargando) {
                    _this.mostrarCargando(false);
                }
                if (e.status != 401) {
                    if (peticion.mostrarMensajeError) {
                        _this.mostrarError({ mensaje: '¡Ocurrió un error ejecutando el servicio!' });
                    }
                }
                return rxjs.of(new ResultadoProceso());
            }));
        };
        AppService.prototype.consultar = function (peticion) {
            peticion.mostrarCargando = !(peticion.mostrarCargando === false);
            return this.ejecutar(peticion);
        };
        AppService.prototype.procesar = function (peticion) {
            peticion.mostrarMensajeExito = !(peticion.mostrarMensajeExito === false);
            return this.consultar(peticion);
        };
        AppService.prototype.descargar = function (url, datos, nombreArchivo) {
            var datePipe = new common.DatePipe('en-EU');
            var parametros = Object.entries(datos)
                .filter(function (_a) {
                var _b = __read(_a, 2), key = _b[0], val = _b[1];
                return val;
            })
                .map(function (_a) {
                var _b = __read(_a, 2), key = _b[0], val = _b[1];
                if (val instanceof Date) {
                    var valor = datePipe.transform(val, 'yyyy-MM-dd');
                    return [key, valor];
                }
                return [key, val];
            })
                .map(function (_a) {
                var _b = __read(_a, 2), key = _b[0], val = _b[1];
                return key + "=" + val;
            }).join('&');
            this.descargarArchivo(url + "?" + parametros, nombreArchivo);
        };
        AppService.prototype.descargarArchivo = function (url, nombreArchivo) {
            var _this = this;
            this.mostrarCargando();
            url = this.urlSW + url;
            this.http.get(url, { responseType: 'blob' })
                .subscribe(function (respuesta) {
                var url = window.URL.createObjectURL(respuesta);
                var a = document.createElement('a');
                a.href = url;
                a.target = '_blank';
                if (nombreArchivo) {
                    a.download = nombreArchivo;
                }
                a.click();
                window.URL.revokeObjectURL(url);
                _this.mostrarCargando(false);
            }, function (error) {
                _this.mostrarCargando(false);
                _this.mostrarError({ mensaje: '¡Ocurrió un error descargando el archivo!' });
                console.log('Error en descarga: ', error);
            });
        };
        AppService.prototype.mostrarCargando = function (indicador) {
            if (indicador === void 0) { indicador = true; }
            if (indicador) {
                this.procesosCargando++;
                if (this.procesosCargando == 1) {
                    this.eventoMostrarProcesando.emit(true);
                }
            }
            else {
                if (this.procesosCargando > 0) {
                    this.procesosCargando--;
                }
                if (this.procesosCargando == 0) {
                    this.eventoMostrarProcesando.emit(false);
                }
            }
        };
        AppService.prototype.popupBase = function (opciones) {
            var opc = {};
            opc.title = opciones.titulo;
            opc.text = opciones.mensaje;
            if (opciones.icono == 'success' || opciones.icono == 'error' || opciones.icono == 'warning' || opciones.icono == 'info' || opciones.icono == 'question') {
                opc.icon = opciones.icono;
            }
            opc.showConfirmButton = !(opciones.mostrarAceptar === false);
            opc.confirmButtonText = opciones.etiquetaAceptar ? opciones.etiquetaAceptar : 'Aceptar';
            opc.showCancelButton = !(opciones.mostrarCancelar === false);
            opc.cancelButtonText = opciones.etiquetaCancelar ? opciones.etiquetaCancelar : 'Cancelar';
            if (opciones.toast) {
                opc.timer = 1800;
                opc.showConfirmButton = false;
                opc.showCancelButton = false;
            }
            return Swal__default['default'].fire(Object.assign({
                confirmButtonText: 'Aceptar',
                showCancelButton: true,
                cancelButtonText: 'Cancelar'
            }, opc));
        };
        AppService.prototype.solicitarConfirmacion = function (opciones) {
            if (opciones === void 0) { opciones = {}; }
            if (typeof opciones == 'string') {
                opciones = { mensaje: opciones };
            }
            return this.popupBase(Object.assign({
                titulo: 'Confirmar',
                mensaje: '¿Está seguro de guardar los cambios realizados?',
                icono: 'question'
            }, opciones));
        };
        AppService.prototype.mostrarExito = function (opciones) {
            if (typeof opciones == 'string') {
                opciones = { mensaje: opciones };
            }
            return this.popupBase(Object.assign({ titulo: 'Éxito', icono: 'success', mostrarCancelar: false }, opciones));
        };
        AppService.prototype.mostrarExitoToast = function (opciones) {
            if (typeof opciones == 'string') {
                opciones = { mensaje: opciones };
            }
            return this.popupBase(Object.assign({ titulo: 'Éxito', icono: 'success', toast: true }, opciones));
        };
        AppService.prototype.mostrarInformacion = function (opciones) {
            if (typeof opciones == 'string') {
                opciones = { mensaje: opciones };
            }
            return this.popupBase(Object.assign({ titulo: 'Información', icono: 'info', mostrarCancelar: false }, opciones));
        };
        AppService.prototype.mostrarAdvertencia = function (opciones) {
            if (typeof opciones == 'string') {
                opciones = { mensaje: opciones };
            }
            return this.popupBase(Object.assign({ titulo: 'Mensaje', icono: 'warning', mostrarCancelar: false }, opciones));
        };
        AppService.prototype.mostrarError = function (opciones) {
            if (opciones === void 0) { opciones = {}; }
            return this.popupBase(Object.assign({
                titulo: 'Error',
                mensaje: '¡Ocurrió un error ejecutando el proceso!',
                icono: 'error',
                mostrarCancelar: false
            }, opciones));
        };
        AppService.prototype.mostrarErrorLeve = function (opciones) {
            if (opciones === void 0) { opciones = {}; }
            return this.mostrarError(Object.assign({ icono: 'warning' }, opciones));
        };
        AppService.prototype.confirmarEliminar = function (opciones) {
            if (opciones === void 0) { opciones = {}; }
            if (typeof opciones == 'string') {
                opciones = { mensaje: opciones };
            }
            return this.popupBase(Object.assign({
                titulo: 'Eliminar',
                icono: 'warning',
                mensaje: '¿Está seguro de eliminar el registro seleccionado?',
                mostrarCancelar: true
            }, opciones));
        };
        return AppService;
    }());
    AppService.ɵprov = i0.ɵɵdefineInjectable({ factory: function AppService_Factory() { return new AppService(i0.ɵɵinject(i1.HttpClient), i0.ɵɵinject(URL_SW)); }, token: AppService, providedIn: "root" });
    AppService.decorators = [
        { type: i0.Injectable, args: [{
                    providedIn: 'root'
                },] }
    ];
    AppService.ctorParameters = function () { return [
        { type: i1.HttpClient },
        { type: undefined, decorators: [{ type: i0.Inject, args: [URL_SW,] }] }
    ]; };
    AppService.propDecorators = {
        eventoMostrarProcesando: [{ type: i0.Output }]
    };

    var CRUDService = /** @class */ (function () {
        function CRUDService(srvAplicacion) {
            this.srvAplicacion = srvAplicacion;
            this.URL = 'api/';
        }
        Object.defineProperty(CRUDService.prototype, "URLListarBandeja", {
            get: function () {
                return this.URL + "/ListarBandeja";
            },
            enumerable: false,
            configurable: true
        });
        CRUDService.prototype.consultar = function (peticion) {
            peticion.url = this.URL + "/" + peticion.url;
            return this.srvAplicacion.consultar(peticion);
        };
        CRUDService.prototype.procesar = function (peticion) {
            peticion.url = this.URL + "/" + peticion.url;
            return this.srvAplicacion.procesar(peticion);
        };
        CRUDService.prototype.datosIniciales = function () {
            return this.consultar({ url: "DatosIniciales" });
        };
        CRUDService.prototype.listar = function (filtro) {
            return this.consultar({ url: "Listar", datos: filtro });
        };
        CRUDService.prototype.obtenerRegistro = function (filtro) {
            return this.consultar({ url: "ObtenerRegistro", datos: filtro });
        };
        CRUDService.prototype.obtenerRegistroCompleto = function (filtro) {
            return this.consultar({ url: "ObtenerRegistroCompleto", datos: filtro });
        };
        CRUDService.prototype.guardar = function (datos) {
            return this.procesar({ url: "Guardar", datos: datos });
        };
        CRUDService.prototype.eliminar = function (datos) {
            return this.procesar({ url: "Eliminar", datos: datos });
        };
        CRUDService.prototype.descargar = function (datos, nombreArchivo, urlRelativa) {
            if (urlRelativa === void 0) { urlRelativa = 'Descargar'; }
            this.srvAplicacion.descargar(this.URL + "/" + urlRelativa, datos, nombreArchivo);
        };
        CRUDService.prototype.descargarArchivo = function (urlRelativa, nombreArchivo) {
            this.srvAplicacion.descargarArchivo(this.URL + "/" + urlRelativa, nombreArchivo);
        };
        return CRUDService;
    }());

    /*
     * Public API Surface of ng-mtc-ui
     */

    /**
     * Generated bundle index. Do not edit.
     */

    exports.APP_NAME = APP_NAME;
    exports.AppService = AppService;
    exports.BandejaCRUD = BandejaCRUD;
    exports.BandejaCrudComponent = BandejaCrudComponent;
    exports.ButtonComponent = ButtonComponent;
    exports.CRUDService = CRUDService;
    exports.CardComponent = CardComponent;
    exports.Constante = Constante;
    exports.ControlBusquedaComponent = ControlBusquedaComponent;
    exports.ControlCajaComponent = ControlCajaComponent;
    exports.ControlComponent = ControlComponent;
    exports.ControlFechaComponent = ControlFechaComponent;
    exports.ControlInputComponent = ControlInputComponent;
    exports.ControlListaComponent = ControlListaComponent;
    exports.ControlMascaraComponent = ControlMascaraComponent;
    exports.ControlNumericoComponent = ControlNumericoComponent;
    exports.ControlPasswordComponent = ControlPasswordComponent;
    exports.ControlSwitchComponent = ControlSwitchComponent;
    exports.ControlTextareaComponent = ControlTextareaComponent;
    exports.CustomAdapter = CustomAdapter;
    exports.CustomDateParserFormatter = CustomDateParserFormatter;
    exports.CustomDatepickerI18nService = CustomDatepickerI18nService;
    exports.DataTableComponent = DataTableComponent;
    exports.EditorSqlComponent = EditorSqlComponent;
    exports.FloatTextDirective = FloatTextDirective;
    exports.FooterComponent = FooterComponent;
    exports.FormMantenimientoComponent = FormMantenimientoComponent;
    exports.FormularioCRUD = FormularioCRUD;
    exports.HEADER_DATA = HEADER_DATA;
    exports.HeaderComponent = HeaderComponent;
    exports.HeaderLogoComponent = HeaderLogoComponent;
    exports.I18n = I18n;
    exports.InputFloatDirective = InputFloatDirective;
    exports.Layout1Component = Layout1Component;
    exports.Layout2Component = Layout2Component;
    exports.LogoComponent = LogoComponent;
    exports.ModalComponent = ModalComponent;
    exports.NavigationTriggerComponent = NavigationTriggerComponent;
    exports.NgMtcUiModule = NgMtcUiModule;
    exports.PageLoaderComponent = PageLoaderComponent;
    exports.PageMantenimientoComponent = PageMantenimientoComponent;
    exports.ResultadoProceso = ResultadoProceso;
    exports.SidebarComponent = SidebarComponent;
    exports.SidebarUserComponent = SidebarUserComponent;
    exports.URI_WEBSOCKET = URI_WEBSOCKET;
    exports.URL_SW = URL_SW;
    exports.UiComponent = UiComponent;
    exports.marcarCheckFilaDT = marcarCheckFilaDT;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=ng-mtc-ui.umd.js.map
