import { AfterViewInit, ElementRef, EventEmitter, OnInit } from '@angular/core';
import { ControlValueAccessor, NgControl } from '@angular/forms';
import { ControlComponent } from '../control/control.component';
export declare class ControlInputComponent implements OnInit, AfterViewInit, ControlValueAccessor {
    ngControl: NgControl;
    etiqueta: string;
    class: string;
    control: ElementRef;
    contenedor: ControlComponent;
    cambioValor: EventEmitter<any>;
    readonly: boolean;
    disabled: boolean;
    mensajeError?: string;
    elevarCambio: (_: any) => void;
    inicializado: boolean;
    valor: any;
    estaDeshabilitado: boolean;
    constructor(ngControl: NgControl);
    writeValue(obj: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    focus(): void;
}
