import { EventEmitter, OnInit, TemplateRef } from '@angular/core';
import { Observable } from 'rxjs';
import { Funcion, OpcionesFormulario } from '../models';
import { AppService } from '../app.service';
import { NgbModal, NgbModalRef } from '@ng-bootstrap/ng-bootstrap';
export declare class ModalComponent implements OnInit {
    private modalService;
    private srvAplicacion;
    modalTpl: TemplateRef<any>;
    titulo: string;
    tamanio: string;
    funcionValidar: Funcion;
    funcionAceptar: Funcion;
    mostrarAceptar: boolean;
    etiquetaAceptar: string;
    iconoAceptar: string;
    mostrarCancelar: boolean;
    etiquetaCancelar: string;
    iconoCancelar: string;
    cancelarClick: EventEmitter<any>;
    solicitarConfirmacion: boolean;
    mensajeConfirmacion: string;
    modal: NgbModalRef;
    constructor(modalService: NgbModal, srvAplicacion: AppService);
    ngOnInit(): void;
    mostrar(propiedades?: OpcionesFormulario | string): void;
    obs(fn: Funcion): Observable<boolean>;
    aceptar(): void;
    confirmarAceptar(): void;
    cerrar(): void;
}
